<?php
// This file was auto-generated from sdk-root/src/data/apigateway/2015-07-09/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>Amazon API Gateway</fullname> <p>Amazon API Gateway helps developers deliver robust, secure, and scalable mobile and web application back ends. Amazon API Gateway allows developers to securely connect mobile and web applications to APIs that run on AWS Lambda, Amazon EC2, or other publicly addressable web services that are hosted outside of AWS.</p>', 'operations' => [ 'CreateApiKey' => '<p>Create an <a>ApiKey</a> resource. </p> <div class="seeAlso"><a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/create-api-key.html">AWS CLI</a></div>', 'CreateAuthorizer' => '<p>Adds a new <a>Authorizer</a> resource to an existing <a>RestApi</a> resource.</p> <div class="seeAlso"><a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/create-authorizer.html">AWS CLI</a></div>', 'CreateBasePathMapping' => '<p>Creates a new <a>BasePathMapping</a> resource.</p>', 'CreateDeployment' => '<p>Creates a <a>Deployment</a> resource, which makes a specified <a>RestApi</a> callable over the internet.</p>', 'CreateDomainName' => '<p>Creates a new domain name.</p>', 'CreateModel' => '<p>Adds a new <a>Model</a> resource to an existing <a>RestApi</a> resource.</p>', 'CreateResource' => '<p>Creates a <a>Resource</a> resource.</p>', 'CreateRestApi' => '<p>Creates a new <a>RestApi</a> resource.</p>', 'CreateStage' => '<p>Creates a new <a>Stage</a> resource that references a pre-existing <a>Deployment</a> for the API. </p>', 'CreateUsagePlan' => '<p>Creates a usage plan with the throttle and quota limits, as well as the associated API stages, specified in the payload. </p>', 'CreateUsagePlanKey' => '<p>Creates a usage plan key for adding an existing API key to a usage plan.</p>', 'DeleteApiKey' => '<p>Deletes the <a>ApiKey</a> resource.</p>', 'DeleteAuthorizer' => '<p>Deletes an existing <a>Authorizer</a> resource.</p> <div class="seeAlso"><a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/delete-authorizer.html">AWS CLI</a></div>', 'DeleteBasePathMapping' => '<p>Deletes the <a>BasePathMapping</a> resource.</p>', 'DeleteClientCertificate' => '<p>Deletes the <a>ClientCertificate</a> resource.</p>', 'DeleteDeployment' => '<p>Deletes a <a>Deployment</a> resource. Deleting a deployment will only succeed if there are no <a>Stage</a> resources associated with it.</p>', 'DeleteDomainName' => '<p>Deletes the <a>DomainName</a> resource.</p>', 'DeleteIntegration' => '<p>Represents a delete integration.</p>', 'DeleteIntegrationResponse' => '<p>Represents a delete integration response.</p>', 'DeleteMethod' => '<p>Deletes an existing <a>Method</a> resource.</p>', 'DeleteMethodResponse' => '<p>Deletes an existing <a>MethodResponse</a> resource.</p>', 'DeleteModel' => '<p>Deletes a model.</p>', 'DeleteResource' => '<p>Deletes a <a>Resource</a> resource.</p>', 'DeleteRestApi' => '<p>Deletes the specified API.</p>', 'DeleteStage' => '<p>Deletes a <a>Stage</a> resource.</p>', 'DeleteUsagePlan' => '<p>Deletes a usage plan of a given plan Id.</p>', 'DeleteUsagePlanKey' => '<p>Deletes a usage plan key and remove the underlying API key from the associated usage plan.</p>', 'FlushStageAuthorizersCache' => '<p>Flushes all authorizer cache entries on a stage.</p>', 'FlushStageCache' => '<p>Flushes a stage\'s cache.</p>', 'GenerateClientCertificate' => '<p>Generates a <a>ClientCertificate</a> resource.</p>', 'GetAccount' => '<p>Gets information about the current <a>Account</a> resource.</p>', 'GetApiKey' => '<p>Gets information about the current <a>ApiKey</a> resource.</p>', 'GetApiKeys' => '<p>Gets information about the current <a>ApiKeys</a> resource.</p>', 'GetAuthorizer' => '<p>Describe an existing <a>Authorizer</a> resource.</p> <div class="seeAlso"><a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/get-authorizer.html">AWS CLI</a></div>', 'GetAuthorizers' => '<p>Describe an existing <a>Authorizers</a> resource.</p> <div class="seeAlso"><a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/get-authorizers.html">AWS CLI</a></div>', 'GetBasePathMapping' => '<p>Describe a <a>BasePathMapping</a> resource.</p>', 'GetBasePathMappings' => '<p>Represents a collection of <a>BasePathMapping</a> resources.</p>', 'GetClientCertificate' => '<p>Gets information about the current <a>ClientCertificate</a> resource.</p>', 'GetClientCertificates' => '<p>Gets a collection of <a>ClientCertificate</a> resources.</p>', 'GetDeployment' => '<p>Gets information about a <a>Deployment</a> resource.</p>', 'GetDeployments' => '<p>Gets information about a <a>Deployments</a> collection.</p>', 'GetDomainName' => '<p>Represents a domain name that is contained in a simpler, more intuitive URL that can be called.</p>', 'GetDomainNames' => '<p>Represents a collection of <a>DomainName</a> resources.</p>', 'GetExport' => '<p>Exports a deployed version of a <a>RestApi</a> in a specified format.</p>', 'GetIntegration' => '<p>Represents a get integration.</p>', 'GetIntegrationResponse' => '<p>Represents a get integration response.</p>', 'GetMethod' => '<p>Describe an existing <a>Method</a> resource.</p>', 'GetMethodResponse' => '<p>Describes a <a>MethodResponse</a> resource.</p>', 'GetModel' => '<p>Describes an existing model defined for a <a>RestApi</a> resource.</p>', 'GetModelTemplate' => '<p>Generates a sample mapping template that can be used to transform a payload into the structure of a model.</p>', 'GetModels' => '<p>Describes existing <a>Models</a> defined for a <a>RestApi</a> resource.</p>', 'GetResource' => '<p>Lists information about a resource.</p>', 'GetResources' => '<p>Lists information about a collection of <a>Resource</a> resources.</p>', 'GetRestApi' => '<p>Lists the <a>RestApi</a> resource in the collection.</p>', 'GetRestApis' => '<p>Lists the <a>RestApis</a> resources for your collection.</p>', 'GetSdk' => '<p>Generates a client SDK for a <a>RestApi</a> and <a>Stage</a>.</p>', 'GetStage' => '<p>Gets information about a <a>Stage</a> resource.</p>', 'GetStages' => '<p>Gets information about one or more <a>Stage</a> resources.</p>', 'GetUsage' => '<p>Gets the usage data of a usage plan in a specified time interval.</p>', 'GetUsagePlan' => '<p>Gets a usage plan of a given plan identifier.</p>', 'GetUsagePlanKey' => '<p>Gets a usage plan key of a given key identifier.</p>', 'GetUsagePlanKeys' => '<p>Gets all the usage plan keys representing the API keys added to a specified usage plan.</p>', 'GetUsagePlans' => '<p>Gets all the usage plans of the caller\'s account.</p>', 'ImportApiKeys' => '<p>Import API keys from an external source, such as a CSV-formatted file.</p>', 'ImportRestApi' => '<p>A feature of the Amazon API Gateway control service for creating a new API from an external API definition file.</p>', 'PutIntegration' => '<p>Represents a put integration.</p>', 'PutIntegrationResponse' => '<p>Represents a put integration.</p>', 'PutMethod' => '<p>Add a method to an existing <a>Resource</a> resource.</p>', 'PutMethodResponse' => '<p>Adds a <a>MethodResponse</a> to an existing <a>Method</a> resource.</p>', 'PutRestApi' => '<p>A feature of the Amazon API Gateway control service for updating an existing API with an input of external API definitions. The update can take the form of merging the supplied definition into the existing API or overwriting the existing API.</p>', 'TestInvokeAuthorizer' => '<p>Simulate the execution of an <a>Authorizer</a> in your <a>RestApi</a> with headers, parameters, and an incoming request body.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/use-custom-authorizer.html">Enable custom authorizers</a> </div>', 'TestInvokeMethod' => '<p>Simulate the execution of a <a>Method</a> in your <a>RestApi</a> with headers, parameters, and an incoming request body.</p>', 'UpdateAccount' => '<p>Changes information about the current <a>Account</a> resource.</p>', 'UpdateApiKey' => '<p>Changes information about an <a>ApiKey</a> resource.</p>', 'UpdateAuthorizer' => '<p>Updates an existing <a>Authorizer</a> resource.</p> <div class="seeAlso"><a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/update-authorizer.html">AWS CLI</a></div>', 'UpdateBasePathMapping' => '<p>Changes information about the <a>BasePathMapping</a> resource.</p>', 'UpdateClientCertificate' => '<p>Changes information about an <a>ClientCertificate</a> resource.</p>', 'UpdateDeployment' => '<p>Changes information about a <a>Deployment</a> resource.</p>', 'UpdateDomainName' => '<p>Changes information about the <a>DomainName</a> resource.</p>', 'UpdateIntegration' => '<p>Represents an update integration.</p>', 'UpdateIntegrationResponse' => '<p>Represents an update integration response.</p>', 'UpdateMethod' => '<p>Updates an existing <a>Method</a> resource.</p>', 'UpdateMethodResponse' => '<p>Updates an existing <a>MethodResponse</a> resource.</p>', 'UpdateModel' => '<p>Changes information about a model.</p>', 'UpdateResource' => '<p>Changes information about a <a>Resource</a> resource.</p>', 'UpdateRestApi' => '<p>Changes information about the specified API.</p>', 'UpdateStage' => '<p>Changes information about a <a>Stage</a> resource.</p>', 'UpdateUsage' => '<p>Grants a temporary extension to the reamining quota of a usage plan associated with a specified API key.</p>', 'UpdateUsagePlan' => '<p>Updates a usage plan of a given plan Id.</p>', ], 'shapes' => [ 'Account' => [ 'base' => '<p>Represents an AWS account that is associated with Amazon API Gateway.</p> <div class="remarks"> <p>To view the account info, call <code>GET</code> on this resource.</p> <h4>Error Codes</h4> <p>The following exception may be thrown when the request fails.</p> <ul> <li>UnauthorizedException</li> <li>NotFoundException</li> <li>TooManyRequestsException</li> </ul> <p>For detailed error code information, including the corresponding HTTP Status Codes, see <a href="http://docs.aws.amazon.com/apigateway/api-reference/handling-errors/#api-error-codes">API Gateway Error Codes</a></p> <h4>Example: Get the information about an account.</h4> <h5>Request</h5> <pre><code>GET /account HTTP/1.1 Content-Type: application/json Host: apigateway.us-east-1.amazonaws.com X-Amz-Date: 20160531T184618Z Authorization: AWS4-HMAC-SHA256 Credential={access_key_ID}/us-east-1/apigateway/aws4_request, SignedHeaders=content-type;host;x-amz-date, Signature={sig4_hash} </code></pre> <h5>Response</h5> <p>The successful response returns a <code>200 OK</code> status code and a payload similar to the following:</p> <pre><code>{ "_links": { "curies": { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/account-apigateway-{rel}.html", "name": "account", "templated": true }, "self": { "href": "/account" }, "account:update": { "href": "/account" } }, "cloudwatchRoleArn": "arn:aws:iam::123456789012:role/apigAwsProxyRole", "throttleSettings": { "rateLimit": 500, "burstLimit": 1000 } } </code></pre> <p>In addition to making the REST API call directly, you can use the AWS CLI and an AWS SDK to access this resource.</p> </div> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-limits.html">API Gateway Limits</a> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/welcome.html">Developer Guide</a>, <a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/get-account.html">AWS CLI</a> </div>', 'refs' => [], ], 'ApiKey' => [ 'base' => '<p>A resource that can be distributed to callers for executing <a>Method</a> resources that require an API key. API keys can be mapped to any <a>Stage</a> on any <a>RestApi</a>, which indicates that the callers with the API key can make requests to that stage.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-api-keys.html">Use API Keys</a> </div>', 'refs' => [ 'ListOfApiKey$member' => NULL, ], ], 'ApiKeyIds' => [ 'base' => '<p>The identifier of an API key used to reference an API key in a usage plan.</p>', 'refs' => [], ], 'ApiKeys' => [ 'base' => '<p>Represents a collection of API keys as represented by an <a>ApiKeys</a> resource.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-api-keys.html">Use API Keys</a> </div>', 'refs' => [], ], 'ApiKeysFormat' => [ 'base' => NULL, 'refs' => [ 'ImportApiKeysRequest$format' => '<p>A query parameter to specify the input format to imported API keys. Currently, only the <code>csv</code> format is supported.</p>', ], ], 'ApiStage' => [ 'base' => '<p>API stage name of the associated API stage in a usage plan.</p>', 'refs' => [ 'ListOfApiStage$member' => NULL, ], ], 'Authorizer' => [ 'base' => '<p>Represents an authorization layer for methods. If enabled on a method, API Gateway will activate the authorizer when a client calls the method.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/use-custom-authorizer.html">Enable custom authorization</a> </div>', 'refs' => [ 'ListOfAuthorizer$member' => NULL, ], ], 'AuthorizerType' => [ 'base' => '<p>The authorizer type. the only current value is TOKEN.</p>', 'refs' => [ 'Authorizer$type' => '<p>[Required] The type of the authorizer. Currently, the only valid type is TOKEN.</p>', 'CreateAuthorizerRequest$type' => '<p>[Required] The type of the authorizer.</p>', ], ], 'Authorizers' => [ 'base' => '<p>Represents a collection of <a>Authorizer</a> resources.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/use-custom-authorizer.html">Enable custom authorization</a> </div>', 'refs' => [], ], 'BadRequestException' => [ 'base' => NULL, 'refs' => [], ], 'BasePathMapping' => [ 'base' => '<p>Represents the base path that callers of the API must provide as part of the URL after the domain name.</p> <div class="remarks">A custom domain name plus a <code>BasePathMapping</code> specification identifies a deployed <a>RestApi</a> in a given stage of the owner <a>Account</a>.</div> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-custom-domains.html">Use Custom Domain Names</a> </div>', 'refs' => [ 'ListOfBasePathMapping$member' => NULL, ], ], 'BasePathMappings' => [ 'base' => '<p>Represents a collection of <a>BasePathMapping</a> resources.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-custom-domains.html">Use Custom Domain Names</a> </div>', 'refs' => [], ], 'Blob' => [ 'base' => NULL, 'refs' => [ 'ExportResponse$body' => '<p>The binary blob response to <a>GetExport</a>, which contains the export.</p>', 'ImportApiKeysRequest$body' => '<p>The payload of the POST request to import API keys. For the payload format, see <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/api-key-file-format.html">API Key File Format</a>.</p>', 'ImportRestApiRequest$body' => '<p>The POST request body containing external API definitions. Currently, only Swagger definition JSON files are supported.</p>', 'PutRestApiRequest$body' => '<p>The PUT request body containing external API definitions. Currently, only Swagger definition JSON files are supported.</p>', 'SdkResponse$body' => '<p>The binary blob response to <a>GetSdk</a>, which contains the generated SDK.</p>', ], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'ApiKey$enabled' => '<p>Specifies whether the API Key can be used by callers.</p>', 'CreateApiKeyRequest$enabled' => '<p>Specifies whether the <a>ApiKey</a> can be used by callers.</p>', 'CreateApiKeyRequest$generateDistinctId' => '<p>Specifies whether (<code>true</code>) or not (<code>false</code>) the key identifier is distinct from the created API key value.</p>', 'CreateStageRequest$cacheClusterEnabled' => '<p>Whether cache clustering is enabled for the stage.</p>', 'GetApiKeyRequest$includeValue' => '<p>A boolean flag to specify whether (<code>true</code>) or not (<code>false</code>) the result contains the key value.</p>', 'GetApiKeysRequest$includeValues' => '<p>A boolean flag to specify whether (<code>true</code>) or not (<code>false</code>) the result contains key values.</p>', 'GetModelRequest$flatten' => '<p>A query parameter of a Boolean value to resolve (<code>true</code>) all external model references and returns a flattened model schema or not (<code>false</code>) The default is <code>false</code>.</p>', 'ImportApiKeysRequest$failOnWarnings' => '<p>A query parameter to indicate whether to rollback <a>ApiKey</a> importation (<code>true</code>) or not (<code>false</code>) when error is encountered.</p>', 'ImportRestApiRequest$failOnWarnings' => '<p>A query parameter to indicate whether to rollback the API creation (<code>true</code>) or not (<code>false</code>) when a warning is encountered. The default value is <code>false</code>.</p>', 'MethodSetting$metricsEnabled' => '<p>Specifies whether Amazon CloudWatch metrics are enabled for this method. The PATCH path for this setting is <code>/{method_setting_key}/metrics/enabled</code>, and the value is a Boolean.</p>', 'MethodSetting$dataTraceEnabled' => '<p>Specifies whether data trace logging is enabled for this method, which effects the log entries pushed to Amazon CloudWatch Logs. The PATCH path for this setting is <code>/{method_setting_key}/logging/dataTrace</code>, and the value is a Boolean.</p>', 'MethodSetting$cachingEnabled' => '<p>Specifies whether responses should be cached and returned for requests. A cache cluster must be enabled on the stage for responses to be cached. The PATCH path for this setting is <code>/{method_setting_key}/caching/enabled</code>, and the value is a Boolean.</p>', 'MethodSetting$cacheDataEncrypted' => '<p>Specifies whether the cached responses are encrypted. The PATCH path for this setting is <code>/{method_setting_key}/caching/dataEncrypted</code>, and the value is a Boolean.</p>', 'MethodSetting$requireAuthorizationForCacheControl' => '<p>Specifies whether authorization is required for a cache invalidation request. The PATCH path for this setting is <code>/{method_setting_key}/caching/requireAuthorizationForCacheControl</code>, and the value is a Boolean.</p>', 'MethodSnapshot$apiKeyRequired' => '<p>Specifies whether the method requires a valid <a>ApiKey</a>.</p>', 'PutMethodRequest$apiKeyRequired' => '<p>Specifies whether the method required a valid <a>ApiKey</a>.</p>', 'PutRestApiRequest$failOnWarnings' => '<p>A query parameter to indicate whether to rollback the API update (<code>true</code>) or not (<code>false</code>) when a warning is encountered. The default value is <code>false</code>.</p>', 'Stage$cacheClusterEnabled' => '<p>Specifies whether a cache cluster is enabled for the stage.</p>', ], ], 'CacheClusterSize' => [ 'base' => '<p>Returns the size of the <b>CacheCluster</b>.</p>', 'refs' => [ 'CreateDeploymentRequest$cacheClusterSize' => '<p>Specifies the cache cluster size for the <a>Stage</a> resource specified in the input, if a cache cluster is enabled.</p>', 'CreateStageRequest$cacheClusterSize' => '<p>The stage\'s cache cluster size.</p>', 'Stage$cacheClusterSize' => '<p>The size of the cache cluster for the stage, if enabled.</p>', ], ], 'CacheClusterStatus' => [ 'base' => '<p>Returns the status of the <b>CacheCluster</b>.</p>', 'refs' => [ 'Stage$cacheClusterStatus' => '<p>The status of the cache cluster for the stage, if enabled.</p>', ], ], 'ClientCertificate' => [ 'base' => '<p>Represents a client certificate used to configure client-side SSL authentication while sending requests to the integration endpoint.</p> <div class="remarks">Client certificates are used authenticate an API by the back-end server. To authenticate an API client (or user), use a custom <a>Authorizer</a>.</div> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/getting-started-client-side-ssl-authentication.html">Use Client-Side Certificate</a> </div>', 'refs' => [ 'ListOfClientCertificate$member' => NULL, ], ], 'ClientCertificates' => [ 'base' => '<p>Represents a collection of <a>ClientCertificate</a> resources.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/getting-started-client-side-ssl-authentication.html">Use Client-Side Certificate</a> </div>', 'refs' => [], ], 'ConflictException' => [ 'base' => NULL, 'refs' => [], ], 'CreateApiKeyRequest' => [ 'base' => '<p>Request to create an <a>ApiKey</a> resource.</p>', 'refs' => [], ], 'CreateAuthorizerRequest' => [ 'base' => '<p>Request to add a new <a>Authorizer</a> to an existing <a>RestApi</a> resource.</p>', 'refs' => [], ], 'CreateBasePathMappingRequest' => [ 'base' => '<p>Requests Amazon API Gateway to create a new <a>BasePathMapping</a> resource.</p>', 'refs' => [], ], 'CreateDeploymentRequest' => [ 'base' => '<p>Requests Amazon API Gateway to create a <a>Deployment</a> resource.</p>', 'refs' => [], ], 'CreateDomainNameRequest' => [ 'base' => '<p>A request to create a new domain name.</p>', 'refs' => [], ], 'CreateModelRequest' => [ 'base' => '<p>Request to add a new <a>Model</a> to an existing <a>RestApi</a> resource.</p>', 'refs' => [], ], 'CreateResourceRequest' => [ 'base' => '<p>Requests Amazon API Gateway to create a <a>Resource</a> resource.</p>', 'refs' => [], ], 'CreateRestApiRequest' => [ 'base' => '<p>The POST Request to add a new <a>RestApi</a> resource to your collection.</p>', 'refs' => [], ], 'CreateStageRequest' => [ 'base' => '<p>Requests Amazon API Gateway to create a <a>Stage</a> resource.</p>', 'refs' => [], ], 'CreateUsagePlanKeyRequest' => [ 'base' => '<p>The POST request to create a usage plan key for adding an existing API key to a usage plan.</p>', 'refs' => [], ], 'CreateUsagePlanRequest' => [ 'base' => '<p>The POST request to create a usage plan with the name, description, throttle limits and quota limits, as well as the associated API stages, specified in the payload.</p>', 'refs' => [], ], 'DeleteApiKeyRequest' => [ 'base' => '<p>A request to delete the <a>ApiKey</a> resource.</p>', 'refs' => [], ], 'DeleteAuthorizerRequest' => [ 'base' => '<p>Request to delete an existing <a>Authorizer</a> resource.</p>', 'refs' => [], ], 'DeleteBasePathMappingRequest' => [ 'base' => '<p>A request to delete the <a>BasePathMapping</a> resource.</p>', 'refs' => [], ], 'DeleteClientCertificateRequest' => [ 'base' => '<p>A request to delete the <a>ClientCertificate</a> resource.</p>', 'refs' => [], ], 'DeleteDeploymentRequest' => [ 'base' => '<p>Requests Amazon API Gateway to delete a <a>Deployment</a> resource.</p>', 'refs' => [], ], 'DeleteDomainNameRequest' => [ 'base' => '<p>A request to delete the <a>DomainName</a> resource.</p>', 'refs' => [], ], 'DeleteIntegrationRequest' => [ 'base' => '<p>Represents a delete integration request.</p>', 'refs' => [], ], 'DeleteIntegrationResponseRequest' => [ 'base' => '<p>Represents a delete integration response request.</p>', 'refs' => [], ], 'DeleteMethodRequest' => [ 'base' => '<p>Request to delete an existing <a>Method</a> resource.</p>', 'refs' => [], ], 'DeleteMethodResponseRequest' => [ 'base' => '<p>A request to delete an existing <a>MethodResponse</a> resource.</p>', 'refs' => [], ], 'DeleteModelRequest' => [ 'base' => '<p>Request to delete an existing model in an existing <a>RestApi</a> resource.</p>', 'refs' => [], ], 'DeleteResourceRequest' => [ 'base' => '<p>Request to delete a <a>Resource</a>.</p>', 'refs' => [], ], 'DeleteRestApiRequest' => [ 'base' => '<p>Request to delete the specified API from your collection.</p>', 'refs' => [], ], 'DeleteStageRequest' => [ 'base' => '<p>Requests Amazon API Gateway to delete a <a>Stage</a> resource.</p>', 'refs' => [], ], 'DeleteUsagePlanKeyRequest' => [ 'base' => '<p>The DELETE request to delete a usage plan key and remove the underlying API key from the associated usage plan.</p>', 'refs' => [], ], 'DeleteUsagePlanRequest' => [ 'base' => '<p>The DELETE request to delete a uasge plan of a given plan Id.</p>', 'refs' => [], ], 'Deployment' => [ 'base' => '<p>An immutable representation of a <a>RestApi</a> resource that can be called by users using <a>Stages</a>. A deployment must be associated with a <a>Stage</a> for it to be callable over the Internet.</p> <div class="remarks">To create a deployment, call <code>POST</code> on the <a>Deployments</a> resource of a <a>RestApi</a>. To view, update, or delete a deployment, call <code>GET</code>, <code>PATCH</code>, or <code>DELETE</code> on the specified deployment resource (<code>/restapis/{restapi_id}/deployments/{deployment_id}</code>).</div> <div class="seeAlso"><a>RestApi</a>, <a>Deployments</a>, <a>Stage</a>, <a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/get-deployment.html">AWS CLI</a>, <a href="https://aws.amazon.com/tools/">AWS SDKs</a> </div>', 'refs' => [ 'ListOfDeployment$member' => NULL, ], ], 'Deployments' => [ 'base' => '<p>Represents a collection resource that contains zero or more references to your existing deployments, and links that guide you on how to interact with your collection. The collection offers a paginated view of the contained deployments.</p> <div class="remarks">To create a new deployment of a <a>RestApi</a>, make a <code>POST</code> request against this resource. To view, update, or delete an existing deployment, make a <code>GET</code>, <code>PATCH</code>, or <code>DELETE</code> request, respectively, on a specified <a>Deployment</a> resource.</div> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-deploy-api.html">Deploying an API</a>, <a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/get-deployment.html">AWS CLI</a>, <a href="https://aws.amazon.com/tools/">AWS SDKs</a> </div>', 'refs' => [], ], 'DomainName' => [ 'base' => '<p>Represents a domain name that is contained in a simpler, more intuitive URL that can be called.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-custom-domains.html">Use Client-Side Certificate</a> </div>', 'refs' => [ 'ListOfDomainName$member' => NULL, ], ], 'DomainNames' => [ 'base' => '<p>Represents a collection of <a>DomainName</a> resources.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-custom-domains.html">Use Client-Side Certificate</a> </div>', 'refs' => [], ], 'Double' => [ 'base' => NULL, 'refs' => [ 'MethodSetting$throttlingRateLimit' => '<p>Specifies the throttling rate limit. The PATCH path for this setting is <code>/{method_setting_key}/throttling/rateLimit</code>, and the value is a double.</p>', 'ThrottleSettings$rateLimit' => '<p>The API request steady-state rate limit.</p>', ], ], 'ExportResponse' => [ 'base' => '<p>The binary blob response to <a>GetExport</a>, which contains the generated SDK.</p>', 'refs' => [], ], 'FlushStageAuthorizersCacheRequest' => [ 'base' => '<p>Request to flush authorizer cache entries on a specified stage.</p>', 'refs' => [], ], 'FlushStageCacheRequest' => [ 'base' => '<p>Requests Amazon API Gateway to flush a stage\'s cache.</p>', 'refs' => [], ], 'GenerateClientCertificateRequest' => [ 'base' => '<p>A request to generate a <a>ClientCertificate</a> resource.</p>', 'refs' => [], ], 'GetAccountRequest' => [ 'base' => '<p>Requests Amazon API Gateway to get information about the current <a>Account</a> resource.</p>', 'refs' => [], ], 'GetApiKeyRequest' => [ 'base' => '<p>A request to get information about the current <a>ApiKey</a> resource.</p>', 'refs' => [], ], 'GetApiKeysRequest' => [ 'base' => '<p>A request to get information about the current <a>ApiKeys</a> resource.</p>', 'refs' => [], ], 'GetAuthorizerRequest' => [ 'base' => '<p>Request to describe an existing <a>Authorizer</a> resource.</p>', 'refs' => [], ], 'GetAuthorizersRequest' => [ 'base' => '<p>Request to describe an existing <a>Authorizers</a> resource.</p>', 'refs' => [], ], 'GetBasePathMappingRequest' => [ 'base' => '<p>Request to describe a <a>BasePathMapping</a> resource.</p>', 'refs' => [], ], 'GetBasePathMappingsRequest' => [ 'base' => '<p>A request to get information about a collection of <a>BasePathMapping</a> resources.</p>', 'refs' => [], ], 'GetClientCertificateRequest' => [ 'base' => '<p>A request to get information about the current <a>ClientCertificate</a> resource.</p>', 'refs' => [], ], 'GetClientCertificatesRequest' => [ 'base' => '<p>A request to get information about a collection of <a>ClientCertificate</a> resources.</p>', 'refs' => [], ], 'GetDeploymentRequest' => [ 'base' => '<p>Requests Amazon API Gateway to get information about a <a>Deployment</a> resource.</p>', 'refs' => [], ], 'GetDeploymentsRequest' => [ 'base' => '<p>Requests Amazon API Gateway to get information about a <a>Deployments</a> collection.</p>', 'refs' => [], ], 'GetDomainNameRequest' => [ 'base' => '<p>Request to get the name of a <a>DomainName</a> resource.</p>', 'refs' => [], ], 'GetDomainNamesRequest' => [ 'base' => '<p>Request to describe a collection of <a>DomainName</a> resources.</p>', 'refs' => [], ], 'GetExportRequest' => [ 'base' => '<p>Request a new export of a <a>RestApi</a> for a particular <a>Stage</a>.</p>', 'refs' => [], ], 'GetIntegrationRequest' => [ 'base' => '<p>Represents a get integration request.</p>', 'refs' => [], ], 'GetIntegrationResponseRequest' => [ 'base' => '<p>Represents a get integration response request.</p>', 'refs' => [], ], 'GetMethodRequest' => [ 'base' => '<p>Request to describe an existing <a>Method</a> resource.</p>', 'refs' => [], ], 'GetMethodResponseRequest' => [ 'base' => '<p>Request to describe a <a>MethodResponse</a> resource.</p>', 'refs' => [], ], 'GetModelRequest' => [ 'base' => '<p>Request to list information about a model in an existing <a>RestApi</a> resource.</p>', 'refs' => [], ], 'GetModelTemplateRequest' => [ 'base' => '<p>Request to generate a sample mapping template used to transform the payload.</p>', 'refs' => [], ], 'GetModelsRequest' => [ 'base' => '<p>Request to list existing <a>Models</a> defined for a <a>RestApi</a> resource.</p>', 'refs' => [], ], 'GetResourceRequest' => [ 'base' => '<p>Request to list information about a resource.</p>', 'refs' => [], ], 'GetResourcesRequest' => [ 'base' => '<p>Request to list information about a collection of resources.</p>', 'refs' => [], ], 'GetRestApiRequest' => [ 'base' => '<p>The GET request to list an existing <a>RestApi</a> defined for your collection. </p>', 'refs' => [], ], 'GetRestApisRequest' => [ 'base' => '<p>The GET request to list existing <a>RestApis</a> defined for your collection.</p>', 'refs' => [], ], 'GetSdkRequest' => [ 'base' => '<p>Request a new generated client SDK for a <a>RestApi</a> and <a>Stage</a>.</p>', 'refs' => [], ], 'GetStageRequest' => [ 'base' => '<p>Requests Amazon API Gateway to get information about a <a>Stage</a> resource.</p>', 'refs' => [], ], 'GetStagesRequest' => [ 'base' => '<p>Requests Amazon API Gateway to get information about one or more <a>Stage</a> resources.</p>', 'refs' => [], ], 'GetUsagePlanKeyRequest' => [ 'base' => '<p>The GET request to get a usage plan key of a given key identifier.</p>', 'refs' => [], ], 'GetUsagePlanKeysRequest' => [ 'base' => '<p>The GET request to get all the usage plan keys representing the API keys added to a specified usage plan.</p>', 'refs' => [], ], 'GetUsagePlanRequest' => [ 'base' => '<p>The GET request to get a usage plan of a given plan identifier.</p>', 'refs' => [], ], 'GetUsagePlansRequest' => [ 'base' => '<p>The GET request to get all the usage plans of the caller\'s account.</p>', 'refs' => [], ], 'GetUsageRequest' => [ 'base' => '<p>The GET request to get the usage data of a usage plan in a specified time interval.</p>', 'refs' => [], ], 'ImportApiKeysRequest' => [ 'base' => '<p>The POST request to import API keys from an external source, such as a CSV-formatted file.</p>', 'refs' => [], ], 'ImportRestApiRequest' => [ 'base' => '<p>A POST request to import an API to Amazon API Gateway using an input of an API definition file.</p>', 'refs' => [], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'MethodSetting$throttlingBurstLimit' => '<p>Specifies the throttling burst limit. The PATCH path for this setting is <code>/{method_setting_key}/throttling/burstLimit</code>, and the value is an integer.</p>', 'MethodSetting$cacheTtlInSeconds' => '<p>Specifies the time to live (TTL), in seconds, for cached responses. The higher the TTL, the longer the response will be cached. The PATCH path for this setting is <code>/{method_setting_key}/caching/ttlInSeconds</code>, and the value is an integer.</p>', 'QuotaSettings$limit' => '<p>The maximum number of requests that can be made in a given time period.</p>', 'QuotaSettings$offset' => '<p>The number of requests subtracted from the given limit in the initial time period.</p>', 'TestInvokeAuthorizerResponse$clientStatus' => '<p>The HTTP status code that the client would have received. Value is 0 if the authorizer succeeded.</p>', 'TestInvokeMethodResponse$status' => '<p>The HTTP status code.</p>', 'ThrottleSettings$burstLimit' => '<p>The API request burst limit, the maximum rate limit over a time ranging from one to a few seconds, depending upon whether the underlying token bucket is at its full capacity.</p>', ], ], 'Integration' => [ 'base' => '<p>Represents an HTTP, AWS, or Mock integration.</p> <div class="remarks">In the API Gateway console, the built-in Lambda integration is an AWS integration.</div> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-create-api.html">Creating an API</a> </div>', 'refs' => [ 'Method$methodIntegration' => '<p>Gets the method\'s integration responsible for passing the client-submitted request to the back end and performing necessary transformations to make the request compliant with the back end.</p> <div class="remarks"> <p/> <h4>Example: </h4> <h5>Request</h5> <p/> <pre><code>GET /restapis/uojnr9hd57/resources/0cjtch/methods/GET/integration HTTP/1.1 Content-Type: application/json Host: apigateway.us-east-1.amazonaws.com Content-Length: 117 X-Amz-Date: 20160613T213210Z Authorization: AWS4-HMAC-SHA256 Credential={access_key_ID}/20160613/us-east-1/apigateway/aws4_request, SignedHeaders=content-type;host;x-amz-date, Signature={sig4_hash}</code></pre> <h5>Response</h5> <p>The successful response returns a <code>200 OK</code> status code and a payload similar to the following:</p> <pre><code>{ "_links": { "curies": [ { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-integration-{rel}.html", "name": "integration", "templated": true }, { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-integration-response-{rel}.html", "name": "integrationresponse", "templated": true } ], "self": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/integration" }, "integration:delete": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/integration" }, "integration:responses": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/integration/responses/200", "name": "200", "title": "200" }, "integration:update": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/integration" }, "integrationresponse:put": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/integration/responses/{status_code}", "templated": true } }, "cacheKeyParameters": [], "cacheNamespace": "0cjtch", "credentials": "arn:aws:iam::123456789012:role/apigAwsProxyRole", "httpMethod": "POST", "passthroughBehavior": "WHEN_NO_MATCH", "requestTemplates": { "application/json": "{\\n \\"a\\": \\"$input.params(\'operand1\')\\",\\n \\"b\\": \\"$input.params(\'operand2\')\\", \\n \\"op\\": \\"$input.params(\'operator\')\\" \\n}" }, "type": "AWS", "uri": "arn:aws:apigateway:us-west-2:lambda:path//2015-03-31/functions/arn:aws:lambda:us-west-2:123456789012:function:Calc/invocations", "_embedded": { "integration:responses": { "_links": { "self": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/integration/responses/200", "name": "200", "title": "200" }, "integrationresponse:delete": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/integration/responses/200" }, "integrationresponse:update": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/integration/responses/200" } }, "responseParameters": { "method.response.header.operator": "integration.response.body.op", "method.response.header.operand_2": "integration.response.body.b", "method.response.header.operand_1": "integration.response.body.a" }, "responseTemplates": { "application/json": "#set($res = $input.path(\'$\'))\\n{\\n \\"result\\": \\"$res.a, $res.b, $res.op => $res.c\\",\\n \\"a\\" : \\"$res.a\\",\\n \\"b\\" : \\"$res.b\\",\\n \\"op\\" : \\"$res.op\\",\\n \\"c\\" : \\"$res.c\\"\\n}" }, "selectionPattern": "", "statusCode": "200" } } }</code></pre> <p/> </div> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/get-integration.html">AWS CLI</a> </div>', ], ], 'IntegrationResponse' => [ 'base' => '<p>Represents an integration response. The status code must map to an existing <a>MethodResponse</a>, and parameters and templates can be used to transform the back-end response.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-create-api.html">Creating an API</a> </div>', 'refs' => [ 'MapOfIntegrationResponse$value' => NULL, ], ], 'IntegrationType' => [ 'base' => '<p>The integration type. The valid value is <code>HTTP</code>, <code>AWS</code>, or <code>MOCK</code>.</p>', 'refs' => [ 'Integration$type' => '<p>Specifies the integration\'s type. The valid value is <code>HTTP</code>, <code>AWS</code>, or <code>MOCK</code>.</p>', 'PutIntegrationRequest$type' => '<p>Specifies a put integration input\'s type.</p>', ], ], 'LimitExceededException' => [ 'base' => NULL, 'refs' => [], ], 'ListOfARNs' => [ 'base' => NULL, 'refs' => [ 'Authorizer$providerARNs' => '<p>A list of the provider ARNs of the authorizer.</p>', 'CreateAuthorizerRequest$providerARNs' => '<p>A list of the Cognito Your User Pool authorizer\'s provider ARNs.</p>', ], ], 'ListOfApiKey' => [ 'base' => NULL, 'refs' => [ 'ApiKeys$items' => '<p>The current page of any <a>ApiKey</a> resources in the collection of <a>ApiKey</a> resources.</p>', ], ], 'ListOfApiStage' => [ 'base' => NULL, 'refs' => [ 'CreateUsagePlanRequest$apiStages' => '<p>The associated API stages of the usage plan.</p>', 'UsagePlan$apiStages' => '<p>The associated API stages of a usage plan.</p>', ], ], 'ListOfAuthorizer' => [ 'base' => NULL, 'refs' => [ 'Authorizers$items' => '<p>Gets the current list of <a>Authorizer</a> resources in the collection.</p>', ], ], 'ListOfBasePathMapping' => [ 'base' => NULL, 'refs' => [ 'BasePathMappings$items' => '<p>The current page of any <a>BasePathMapping</a> resources in the collection of base path mapping resources.</p>', ], ], 'ListOfClientCertificate' => [ 'base' => NULL, 'refs' => [ 'ClientCertificates$items' => '<p>The current page of any <a>ClientCertificate</a> resources in the collection of <a>ClientCertificate</a> resources.</p>', ], ], 'ListOfDeployment' => [ 'base' => NULL, 'refs' => [ 'Deployments$items' => '<p>The current page of any <a>Deployment</a> resources in the collection of deployment resources.</p>', ], ], 'ListOfDomainName' => [ 'base' => NULL, 'refs' => [ 'DomainNames$items' => '<p>The current page of any <a>DomainName</a> resources in the collection of <a>DomainName</a> resources.</p>', ], ], 'ListOfLong' => [ 'base' => NULL, 'refs' => [ 'ListOfUsage$member' => NULL, ], ], 'ListOfModel' => [ 'base' => NULL, 'refs' => [ 'Models$items' => '<p>Gets the current <a>Model</a> resource in the collection.</p>', ], ], 'ListOfPatchOperation' => [ 'base' => 'A list of operations describing the updates to apply to the specified resource. The patches are applied in the order specified in the list.', 'refs' => [ 'UpdateAccountRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateApiKeyRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateAuthorizerRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateBasePathMappingRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateClientCertificateRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateDeploymentRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateDomainNameRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateIntegrationRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateIntegrationResponseRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateMethodRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateMethodResponseRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateModelRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateResourceRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateRestApiRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateStageRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateUsagePlanRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', 'UpdateUsageRequest$patchOperations' => '<p>A list of update operations to be applied to the specified resource and in the order specified in this list.</p>', ], ], 'ListOfResource' => [ 'base' => NULL, 'refs' => [ 'Resources$items' => '<p>Gets the current <a>Resource</a> resource in the collection.</p>', ], ], 'ListOfRestApi' => [ 'base' => NULL, 'refs' => [ 'RestApis$items' => '<p>An array of links to the current page of <a>RestApi</a> resources.</p>', ], ], 'ListOfStage' => [ 'base' => NULL, 'refs' => [ 'Stages$item' => '<p>An individual <a>Stage</a> resource.</p>', ], ], 'ListOfStageKeys' => [ 'base' => NULL, 'refs' => [ 'CreateApiKeyRequest$stageKeys' => '<p>DEPRECATED FOR USAGE PLANS - Specifies stages associated with the API key.</p>', ], ], 'ListOfString' => [ 'base' => NULL, 'refs' => [ 'Account$features' => '<p>A list of features supported for the account. When usage plans are enabled, the features list will include an entry of <code>"UsagePlans"</code>.</p>', 'ApiKey$stageKeys' => '<p>A list of <a>Stage</a> resources that are associated with the <a>ApiKey</a> resource.</p>', 'ApiKeyIds$ids' => '<p>A list of all the <a>ApiKey</a> identifiers.</p>', 'ApiKeyIds$warnings' => '<p>A list of warning messages.</p>', 'ApiKeys$warnings' => '<p>A list of warning messages logged during the import of API keys when the <code>failOnWarnings</code> option is set to true.</p>', 'Integration$cacheKeyParameters' => '<p>Specifies the integration\'s cache key parameters.</p>', 'MapOfStringToList$value' => NULL, 'PutIntegrationRequest$cacheKeyParameters' => '<p>Specifies a put integration input\'s cache key parameters.</p>', 'RestApi$warnings' => '<p>The warning messages reported when <code>failonwarnings</code> is turned on during API import.</p>', ], ], 'ListOfUsage' => [ 'base' => NULL, 'refs' => [ 'MapOfKeyUsages$value' => NULL, ], ], 'ListOfUsagePlan' => [ 'base' => NULL, 'refs' => [ 'UsagePlans$items' => '<p>Gets the current item when enumerating the collection of <a>UsagePlan</a>.</p>', ], ], 'ListOfUsagePlanKey' => [ 'base' => NULL, 'refs' => [ 'UsagePlanKeys$items' => '<p>Gets the current item of the usage plan keys collection.</p>', ], ], 'Long' => [ 'base' => NULL, 'refs' => [ 'ListOfLong$member' => NULL, 'TestInvokeAuthorizerResponse$latency' => '<p>The execution latency of the test authorizer request.</p>', 'TestInvokeMethodResponse$latency' => '<p>The execution latency of the test invoke request.</p>', ], ], 'MapOfHeaderValues' => [ 'base' => NULL, 'refs' => [ 'TestInvokeAuthorizerRequest$headers' => '<p>[Required] A key-value map of headers to simulate an incoming invocation request. This is where the incoming authorization token, or identity source, should be specified.</p>', 'TestInvokeMethodRequest$headers' => '<p>A key-value map of headers to simulate an incoming invocation request.</p>', 'TestInvokeMethodResponse$headers' => '<p>The headers of the HTTP response.</p>', ], ], 'MapOfIntegrationResponse' => [ 'base' => NULL, 'refs' => [ 'Integration$integrationResponses' => '<p>Specifies the integration\'s responses.</p> <div class="remarks"> <p/> <h4>Example: Get integration responses of a method</h4> <h5>Request</h5> <p/> <pre><code>GET /restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200 HTTP/1.1 Content-Type: application/json Host: apigateway.us-east-1.amazonaws.com X-Amz-Date: 20160607T191449Z Authorization: AWS4-HMAC-SHA256 Credential={access_key_ID}/20160607/us-east-1/apigateway/aws4_request, SignedHeaders=content-type;host;x-amz-date, Signature={sig4_hash} </code></pre> <h5>Response</h5> <p>The successful response returns <code>200 OK</code> status and a payload as follows:</p> <pre><code>{ "_links": { "curies": { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-integration-response-{rel}.html", "name": "integrationresponse", "templated": true }, "self": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200", "title": "200" }, "integrationresponse:delete": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200" }, "integrationresponse:update": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200" } }, "responseParameters": { "method.response.header.Content-Type": "\'application/xml\'" }, "responseTemplates": { "application/json": "$util.urlDecode(\\"%3CkinesisStreams%3E#foreach($stream in $input.path(\'$.StreamNames\'))%3Cstream%3E%3Cname%3E$stream%3C/name%3E%3C/stream%3E#end%3C/kinesisStreams%3E\\")\\n" }, "statusCode": "200" }</code></pre> <p/> </div> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-create-api.html">Creating an API</a> </div>', ], ], 'MapOfKeyUsages' => [ 'base' => NULL, 'refs' => [ 'Usage$items' => '<p>The usage data, as daily logs of used and remaining quotas, over the specified time interval indexed over the API keys in a usage plan. For example, <code>{..., "values" : { "{api_key}" : [ [0, 100], [10, 90], [100, 10]]}</code>, where <code>{api_key}</code> stands for an API key value and the daily log entry is of the format <code>[used quota, remaining quota]</code>.</p>', ], ], 'MapOfMethod' => [ 'base' => NULL, 'refs' => [ 'Resource$resourceMethods' => '<p>Gets an API resource\'s method of a given HTTP verb.</p> <div class="remarks"> <p>The resource methods are a map of methods indexed by methods\' HTTP verbs enabled on the resource. This method map is included in the <code>200 OK</code> response of the <code>GET /restapis/{restapi_id}/resources/{resource_id}</code> or <code>GET /restapis/{restapi_id}/resources/{resource_id}?embed=methods</code> request.</p> <h4>Example: Get the GET method of an API resource</h4> <h5>Request</h5> <pre><code>GET /restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET HTTP/1.1 Content-Type: application/json Host: apigateway.us-east-1.amazonaws.com X-Amz-Date: 20160608T031827Z Authorization: AWS4-HMAC-SHA256 Credential={access_key_ID}/20160608/us-east-1/apigateway/aws4_request, SignedHeaders=content-type;host;x-amz-date, Signature={sig4_hash}</code></pre> <h5>Response</h5> <pre><code>{ "_links": { "curies": [ { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-integration-{rel}.html", "name": "integration", "templated": true }, { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-integration-response-{rel}.html", "name": "integrationresponse", "templated": true }, { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-method-{rel}.html", "name": "method", "templated": true }, { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-method-response-{rel}.html", "name": "methodresponse", "templated": true } ], "self": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET", "name": "GET", "title": "GET" }, "integration:put": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration" }, "method:delete": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET" }, "method:integration": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration" }, "method:responses": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200", "name": "200", "title": "200" }, "method:update": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET" }, "methodresponse:put": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/{status_code}", "templated": true } }, "apiKeyRequired": false, "authorizationType": "NONE", "httpMethod": "GET", "_embedded": { "method:integration": { "_links": { "self": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration" }, "integration:delete": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration" }, "integration:responses": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200", "name": "200", "title": "200" }, "integration:update": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration" }, "integrationresponse:put": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/{status_code}", "templated": true } }, "cacheKeyParameters": [], "cacheNamespace": "3kzxbg5sa2", "credentials": "arn:aws:iam::123456789012:role/apigAwsProxyRole", "httpMethod": "POST", "passthroughBehavior": "WHEN_NO_MATCH", "requestParameters": { "integration.request.header.Content-Type": "\'application/x-amz-json-1.1\'" }, "requestTemplates": { "application/json": "{\\n}" }, "type": "AWS", "uri": "arn:aws:apigateway:us-east-1:kinesis:action/ListStreams", "_embedded": { "integration:responses": { "_links": { "self": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200", "name": "200", "title": "200" }, "integrationresponse:delete": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200" }, "integrationresponse:update": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200" } }, "responseParameters": { "method.response.header.Content-Type": "\'application/xml\'" }, "responseTemplates": { "application/json": "$util.urlDecode(\\"%3CkinesisStreams%3E#foreach($stream in $input.path(\'$.StreamNames\'))%3Cstream%3E%3Cname%3E$stream%3C/name%3E%3C/stream%3E#end%3C/kinesisStreams%3E\\")\\n" }, "statusCode": "200" } } }, "method:responses": { "_links": { "self": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200", "name": "200", "title": "200" }, "methodresponse:delete": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200" }, "methodresponse:update": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200" } }, "responseModels": { "application/json": "Empty" }, "responseParameters": { "method.response.header.Content-Type": false }, "statusCode": "200" } } }</code></pre> <p>If the <code>OPTIONS</code> is enabled on the resource, you can follow the example here to get that method. Just replace the <code>GET</code> of the last path segment in the request URL with <code>OPTIONS</code>.</p> </div> <div class="seeAlso"> </div>', ], ], 'MapOfMethodResponse' => [ 'base' => NULL, 'refs' => [ 'Method$methodResponses' => '<p>Gets a method response associated with a given HTTP status code. </p> <div class="remarks"> <p>The collection of method responses are encapsulated in a key-value map, where the key is a response\'s HTTP status code and the value is a <a>MethodResponse</a> resource that specifies the response returned to the caller from the back end through the integration response.</p> <h4>Example: Get a 200 OK response of a GET method</h4> <h5>Request</h5> <p/> <pre><code>GET /restapis/uojnr9hd57/resources/0cjtch/methods/GET/responses/200 HTTP/1.1 Content-Type: application/json Host: apigateway.us-east-1.amazonaws.com Content-Length: 117 X-Amz-Date: 20160613T215008Z Authorization: AWS4-HMAC-SHA256 Credential={access_key_ID}/20160613/us-east-1/apigateway/aws4_request, SignedHeaders=content-type;host;x-amz-date, Signature={sig4_hash}</code></pre> <h5>Response</h5> <p>The successful response returns a <code>200 OK</code> status code and a payload similar to the following:</p> <pre><code>{ "_links": { "curies": { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-method-response-{rel}.html", "name": "methodresponse", "templated": true }, "self": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/responses/200", "title": "200" }, "methodresponse:delete": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/responses/200" }, "methodresponse:update": { "href": "/restapis/uojnr9hd57/resources/0cjtch/methods/GET/responses/200" } }, "responseModels": { "application/json": "Empty" }, "responseParameters": { "method.response.header.operator": false, "method.response.header.operand_2": false, "method.response.header.operand_1": false }, "statusCode": "200" }</code></pre> <p/> </div> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/cli/latest/reference/apigateway/get-method-response.html">AWS CLI</a> </div>', ], ], 'MapOfMethodSettings' => [ 'base' => NULL, 'refs' => [ 'Stage$methodSettings' => '<p>A map that defines the method settings for a <a>Stage</a> resource. Keys (designated as <code>/{method_setting_key</code> below) are method paths defined as <code>{resource_path}/{http_method}</code> for an individual method override, or <code>/\\*/\\*</code> for overriding all methods in the stage. Any forward slash ("/") characters in the <code>resource_path</code> part must be encoded as "~1" as in, for example, <code>~1resource~1sub-resource/GET</code>.</p>', ], ], 'MapOfMethodSnapshot' => [ 'base' => NULL, 'refs' => [ 'PathToMapOfMethodSnapshot$value' => NULL, ], ], 'MapOfStringToBoolean' => [ 'base' => NULL, 'refs' => [ 'Method$requestParameters' => '<p>A key-value map defining required or optional method request parameters that can be accepted by Amazon API Gateway. A key is a method request parameter name matching the pattern of <code>method.request.{location}.{name}</code>, where <code>location</code> is <code>querystring</code>, <code>path</code>, or <code>header</code> and <code>name</code> is a valid and unique parameter name. The value associated with the key is a Boolean flag indicating whether the parameter is required (<code>true</code>) or optional (<code>false</code>). The method request parameter names defined here are available in <a>Integration</a> to be mapped to integration request parameters or templates.</p>', 'MethodResponse$responseParameters' => '<p>A key-value map specifying required or optional response parameters that Amazon API Gateway can send back to the caller. A key defines a method response header and the value specifies whether the associated method response header is required or not. The expression of the key must match the pattern <code>method.response.header.{name}</code>, where <code>name</code> is a valid and unique header name. Amazon API Gateway passes certain integration response data to the method response headers specified here according to the mapping you prescribe in the API\'s <a>IntegrationResponse</a>. The integration response data that can be mapped include an integration response header expressed in <code>integration.response.header.{name}</code>, a static value enclosed within a pair of single quotes (e.g., <code>\'application/json\'</code>), or a JSON expression from the back-end response payload in the form of <code>integration.response.body.{JSON-expression}</code>, where <code>JSON-expression</code> is a valid JSON expression without the <code>$</code> prefix.)</p>', 'PutMethodRequest$requestParameters' => '<p>A key-value map defining required or optional method request parameters that can be accepted by Amazon API Gateway. A key defines a method request parameter name matching the pattern of <code>method.request.{location}.{name}</code>, where <code>location</code> is <code>querystring</code>, <code>path</code>, or <code>header</code> and <code>name</code> is a valid and unique parameter name. The value associated with the key is a Boolean flag indicating whether the parameter is required (<code>true</code>) or optional (<code>false</code>). The method request parameter names defined here are available in <a>Integration</a> to be mapped to integration request parameters or body-mapping templates.</p>', 'PutMethodResponseRequest$responseParameters' => '<p>A key-value map specifying required or optional response parameters that Amazon API Gateway can send back to the caller. A key defines a method response header name and the associated value is a Boolean flag indicating whether the method response parameter is required or not. The method response header names must match the pattern of <code>method.response.header.{name}</code>, where <code>name</code> is a valid and unique header name. The response parameter names defined here are available in the integration response to be mapped from an integration response header expressed in <code>integration.response.header.{name}</code>, a static value enclosed within a pair of single quotes (e.g., <code>\'application/json\'</code>), or a JSON expression from the back-end response payload in the form of <code>integration.response.body.{JSON-expression}</code>, where <code>JSON-expression</code> is a valid JSON expression without the <code>$</code> prefix.)</p>', ], ], 'MapOfStringToList' => [ 'base' => NULL, 'refs' => [ 'TestInvokeAuthorizerResponse$authorization' => NULL, ], ], 'MapOfStringToString' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentRequest$variables' => '<p>A map that defines the stage variables for the <a>Stage</a> resource that is associated with the new deployment. Variable names can have alphanumeric and underscore characters, and the values must match <code>[A-Za-z0-9-._~:/?#&amp;=,]+</code>.</p>', 'CreateStageRequest$variables' => '<p>A map that defines the stage variables for the new <a>Stage</a> resource. Variable names can have alphanumeric and underscore characters, and the values must match <code>[A-Za-z0-9-._~:/?#&amp;=,]+</code>.</p>', 'GetExportRequest$parameters' => '<p>A key-value map of query string parameters that specify properties of the export, depending on the requested <code>exportType</code>. For <code>exportType</code> <code>swagger</code>, any combination of the following parameters are supported: <code>integrations</code> will export the API with x-amazon-apigateway-integration extensions. <code>authorizers</code> will export the API with x-amazon-apigateway-authorizer extensions. <code>postman</code> will export the API with Postman extensions, allowing for import to the Postman tool</p>', 'GetSdkRequest$parameters' => '<p>A key-value map of query string parameters that specify properties of the SDK, depending on the requested <code>sdkType</code>. For <code>sdkType</code> of <code>objectivec</code>, a parameter named <code>classPrefix</code> is required. For <code>sdkType</code> of <code>android</code>, parameters named <code>groupId</code>, <code>artifactId</code>, <code>artifactVersion</code>, and <code>invokerPackage</code> are required.</p>', 'ImportRestApiRequest$parameters' => '<p>Custom header parameters as part of the request.</p>', 'Integration$requestParameters' => '<p>A key-value map specifying request parameters that are passed from the method request to the back end. The key is an integration request parameter name and the associated value is a method request parameter value or static value that must be enclosed within single quotes and pre-encoded as required by the back end. The method request parameter value must match the pattern of <code>method.request.{location}.{name}</code>, where <code>location</code> is <code>querystring</code>, <code>path</code>, or <code>header</code> and <code>name</code> must be a valid and unique method request parameter name.</p>', 'Integration$requestTemplates' => '<p>Represents a map of Velocity templates that are applied on the request payload based on the value of the Content-Type header sent by the client. The content type value is the key in this map, and the template (as a String) is the value.</p>', 'IntegrationResponse$responseParameters' => '<p>A key-value map specifying response parameters that are passed to the method response from the back end. The key is a method response header parameter name and the mapped value is an integration response header value, a static value enclosed within a pair of single quotes, or a JSON expression from the integration response body. The mapping key must match the pattern of <code>method.response.header.{name}</code>, where <code>name</code> is a valid and unique header name. The mapped non-static value must match the pattern of <code>integration.response.header.{name}</code> or <code>integration.response.body.{JSON-expression}</code>, where <code>name</code> is a valid and unique response header name and <code>JSON-expression</code> is a valid JSON expression without the <code>$</code> prefix.</p>', 'IntegrationResponse$responseTemplates' => '<p>Specifies the templates used to transform the integration response body. Response templates are represented as a key/value map, with a content-type as the key and a template as the value.</p>', 'Method$requestModels' => '<p>A key-value map specifying data schemas, represented by <a>Model</a> resources, (as the mapped value) of the request payloads of given content types (as the mapping key).</p>', 'MethodResponse$responseModels' => '<p>Specifies the <a>Model</a> resources used for the response\'s content-type. Response models are represented as a key/value map, with a content-type as the key and a <a>Model</a> name as the value.</p>', 'PutIntegrationRequest$requestParameters' => '<p>A key-value map specifying request parameters that are passed from the method request to the back end. The key is an integration request parameter name and the associated value is a method request parameter value or static value that must be enclosed within single quotes and pre-encoded as required by the back end. The method request parameter value must match the pattern of <code>method.request.{location}.{name}</code>, where <code>location</code> is <code>querystring</code>, <code>path</code>, or <code>header</code> and <code>name</code> must be a valid and unique method request parameter name.</p>', 'PutIntegrationRequest$requestTemplates' => '<p>Represents a map of Velocity templates that are applied on the request payload based on the value of the Content-Type header sent by the client. The content type value is the key in this map, and the template (as a String) is the value.</p>', 'PutIntegrationResponseRequest$responseParameters' => '<p>A key-value map specifying response parameters that are passed to the method response from the back end. The key is a method response header parameter name and the mapped value is an integration response header value, a static value enclosed within a pair of single quotes, or a JSON expression from the integration response body. The mapping key must match the pattern of <code>method.response.header.{name}</code>, where <code>name</code> is a valid and unique header name. The mapped non-static value must match the pattern of <code>integration.response.header.{name}</code> or <code>integration.response.body.{JSON-expression}</code>, where <code>name</code> must be a valid and unique response header name and <code>JSON-expression</code> a valid JSON expression without the <code>$</code> prefix.</p>', 'PutIntegrationResponseRequest$responseTemplates' => '<p>Specifies a put integration response\'s templates.</p>', 'PutMethodRequest$requestModels' => '<p>Specifies the <a>Model</a> resources used for the request\'s content type. Request models are represented as a key/value map, with a content type as the key and a <a>Model</a> name as the value.</p>', 'PutMethodResponseRequest$responseModels' => '<p>Specifies the <a>Model</a> resources used for the response\'s content type. Response models are represented as a key/value map, with a content type as the key and a <a>Model</a> name as the value.</p>', 'PutRestApiRequest$parameters' => '<p>Custom headers supplied as part of the request. </p>', 'Stage$variables' => '<p>A map that defines the stage variables for a <a>Stage</a> resource. Variable names can have alphanumeric and underscore characters, and the values must match <code>[A-Za-z0-9-._~:/?#&amp;=,]+</code>.</p>', 'TestInvokeAuthorizerRequest$stageVariables' => '<p>A key-value map of stage variables to simulate an invocation on a deployed <a>Stage</a>.</p>', 'TestInvokeAuthorizerRequest$additionalContext' => '<p>[Optional] A key-value map of additional context variables.</p>', 'TestInvokeAuthorizerResponse$claims' => '<p>The <a href="http://openid.net/specs/openid-connect-core-1_0.html#StandardClaims">open identity claims</a>, with any supported custom attributes, returned from the Cognito Your User Pool configured for the API.</p>', 'TestInvokeMethodRequest$stageVariables' => '<p>A key-value map of stage variables to simulate an invocation on a deployed <a>Stage</a>.</p>', ], ], 'Method' => [ 'base' => '<p> Represents a client-facing interface by which the client calls the API to access back-end resources. A <b>Method</b> resource is integrated with an <a>Integration</a> resource. Both consist of a request and one or more responses. The method request takes the client input that is passed to the back end through the integration request. A method response returns the output from the back end to the client through an integration response. A method request is embodied in a <b>Method</b> resource, whereas an integration request is embodied in an <a>Integration</a> resource. On the other hand, a method response is represented by a <a>MethodResponse</a> resource, whereas an integration response is represented by an <a>IntegrationResponse</a> resource. </p> <div class="remarks"> <p/> <h4>Example: Retrive the GET method on a specified resource</h4> <h5>Request</h5> <p>The following example request retrieves the information about the GET method on an API resource (<code>3kzxbg5sa2</code>) of an API (<code>fugvjdxtri</code>). </p> <pre><code>GET /restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET HTTP/1.1 Content-Type: application/json Host: apigateway.us-east-1.amazonaws.com X-Amz-Date: 20160603T210259Z Authorization: AWS4-HMAC-SHA256 Credential={access_key_ID}/20160603/us-east-1/apigateway/aws4_request, SignedHeaders=content-type;host;x-amz-date, Signature={sig4_hash}</code></pre> <h5>Response</h5> <p>The successful response returns a <code>200 OK</code> status code and a payload similar to the following:</p> <pre><code>{ "_links": { "curies": [ { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-integration-{rel}.html", "name": "integration", "templated": true }, { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-integration-response-{rel}.html", "name": "integrationresponse", "templated": true }, { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-method-{rel}.html", "name": "method", "templated": true }, { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-method-response-{rel}.html", "name": "methodresponse", "templated": true } ], "self": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET", "name": "GET", "title": "GET" }, "integration:put": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration" }, "method:delete": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET" }, "method:integration": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration" }, "method:responses": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200", "name": "200", "title": "200" }, "method:update": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET" }, "methodresponse:put": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/{status_code}", "templated": true } }, "apiKeyRequired": true, "authorizationType": "NONE", "httpMethod": "GET", "_embedded": { "method:integration": { "_links": { "self": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration" }, "integration:delete": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration" }, "integration:responses": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200", "name": "200", "title": "200" }, "integration:update": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration" }, "integrationresponse:put": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/{status_code}", "templated": true } }, "cacheKeyParameters": [], "cacheNamespace": "3kzxbg5sa2", "credentials": "arn:aws:iam::123456789012:role/apigAwsProxyRole", "httpMethod": "POST", "passthroughBehavior": "WHEN_NO_MATCH", "requestParameters": { "integration.request.header.Content-Type": "\'application/x-amz-json-1.1\'" }, "requestTemplates": { "application/json": "{\\n}" }, "type": "AWS", "uri": "arn:aws:apigateway:us-east-1:kinesis:action/ListStreams", "_embedded": { "integration:responses": { "_links": { "self": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200", "name": "200", "title": "200" }, "integrationresponse:delete": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200" }, "integrationresponse:update": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/integration/responses/200" } }, "responseParameters": { "method.response.header.Content-Type": "\'application/xml\'" }, "responseTemplates": { "application/json": "$util.urlDecode(\\"%3CkinesisStreams%3E%23foreach(%24stream%20in%20%24input.path(%27%24.StreamNames%27))%3Cstream%3E%3Cname%3E%24stream%3C%2Fname%3E%3C%2Fstream%3E%23end%3C%2FkinesisStreams%3E\\")" }, "statusCode": "200" } } }, "method:responses": { "_links": { "self": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200", "name": "200", "title": "200" }, "methodresponse:delete": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200" }, "methodresponse:update": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200" } }, "responseModels": { "application/json": "Empty" }, "responseParameters": { "method.response.header.Content-Type": false }, "statusCode": "200" } } }</code></pre> <p>In the example above, the response template for the <code>200 OK</code> response maps the JSON output from the <code>ListStreams</code> action in the back end to an XML output. The mapping template is URL-encoded as <code>%3CkinesisStreams%3E%23foreach(%24stream%20in%20%24input.path(%27%24.StreamNames%27))%3Cstream%3E%3Cname%3E%24stream%3C%2Fname%3E%3C%2Fstream%3E%23end%3C%2FkinesisStreams%3E</code> and the output is decoded using the <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-mapping-template-reference.html#util-templat-reference">$util.urlDecode()</a> helper function.</p> </div> <div class="seeAlso"> <a>MethodResponse</a>, <a>Integration</a>, <a>IntegrationResponse</a>, <a>Resource</a>, <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-method-settings.html">Set up an API\'s method</a> </div>', 'refs' => [ 'MapOfMethod$value' => NULL, ], ], 'MethodResponse' => [ 'base' => '<p>Represents a method response of a given HTTP status code returned to the client. The method response is passed from the back end through the associated integration response that can be transformed using a mapping template. </p> <div class="remarks"> <p/> <h4>Example: A <b>MethodResponse</b> instance of an API</h4> <h5>Request</h5> <p>The example request retrieves a <b>MethodResponse</b> of the 200 status code.</p> <pre><code>GET /restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200 HTTP/1.1 Content-Type: application/json Host: apigateway.us-east-1.amazonaws.com X-Amz-Date: 20160603T222952Z Authorization: AWS4-HMAC-SHA256 Credential={access_key_ID}/20160603/us-east-1/apigateway/aws4_request, SignedHeaders=content-type;host;x-amz-date, Signature={sig4_hash}</code></pre> <h5>Response</h5> <p>The successful response returns <code>200 OK</code> status and a payload as follows:</p> <pre><code>{ "_links": { "curies": { "href": "http://docs.aws.amazon.com/apigateway/latest/developerguide/restapi-method-response-{rel}.html", "name": "methodresponse", "templated": true }, "self": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200", "title": "200" }, "methodresponse:delete": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200" }, "methodresponse:update": { "href": "/restapis/fugvjdxtri/resources/3kzxbg5sa2/methods/GET/responses/200" } }, "responseModels": { "application/json": "Empty" }, "responseParameters": { "method.response.header.Content-Type": false }, "statusCode": "200" }</code></pre> <p/> </div> <div class="seeAlso"> <a>Method</a>, <a>IntegrationResponse</a>, <a>Integration</a> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-create-api.html">Creating an API</a> </div>', 'refs' => [ 'MapOfMethodResponse$value' => NULL, ], ], 'MethodSetting' => [ 'base' => '<p>Specifies the method setting properties.</p>', 'refs' => [ 'MapOfMethodSettings$value' => NULL, ], ], 'MethodSnapshot' => [ 'base' => '<p>Represents a summary of a <a>Method</a> resource, given a particular date and time.</p>', 'refs' => [ 'MapOfMethodSnapshot$value' => NULL, ], ], 'Model' => [ 'base' => '<p>Represents the data structure of a method\'s request or response payload.</p> <div class="remarks"> <p>A request model defines the data structure of the client-supplied request payload. A response model defines the data structure of the response payload returned by the back end. Although not required, models are useful for mapping payloads between the front end and back end.</p> <p>A model is used for generating an API\'s SDK, validating the input request body, and creating a skeletal mapping template.</p> </div> <div class="seeAlso"> <a>Method</a>, <a>MethodResponse</a>, <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/models-mappings.html">Models and Mappings</a> </div>', 'refs' => [ 'ListOfModel$member' => NULL, ], ], 'Models' => [ 'base' => '<p>Represents a collection of <a>Model</a> resources.</p> <div class="seeAlso"> <a>Method</a>, <a>MethodResponse</a>, <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/models-mappings.html">Models and Mappings</a> </div>', 'refs' => [], ], 'NotFoundException' => [ 'base' => NULL, 'refs' => [], ], 'NullableBoolean' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentRequest$cacheClusterEnabled' => '<p>Enables a cache cluster for the <a>Stage</a> resource specified in the input.</p>', 'MapOfStringToBoolean$value' => NULL, 'Method$apiKeyRequired' => '<p>A boolean flag specifying whether a valid <a>ApiKey</a> is required to invoke this method.</p>', ], ], 'NullableInteger' => [ 'base' => NULL, 'refs' => [ 'Authorizer$authorizerResultTtlInSeconds' => '<p>The TTL in seconds of cached authorizer results. If greater than 0, API Gateway will cache authorizer responses. If this field is not set, the default value is 300. The maximum value is 3600, or 1 hour.</p>', 'CreateAuthorizerRequest$authorizerResultTtlInSeconds' => '<p>The TTL of cached authorizer results.</p>', 'GetApiKeysRequest$limit' => '<p>The maximum number of <a>ApiKeys</a> to get information about.</p>', 'GetAuthorizersRequest$limit' => '<p>Limit the number of <a>Authorizer</a> resources in the response.</p>', 'GetBasePathMappingsRequest$limit' => '<p>The maximum number of <a>BasePathMapping</a> resources in the collection to get information about. The default limit is 25. It should be an integer between 1 - 500.</p>', 'GetClientCertificatesRequest$limit' => '<p>The maximum number of <a>ClientCertificate</a> resources in the collection to get information about. The default limit is 25. It should be an integer between 1 - 500.</p>', 'GetDeploymentsRequest$limit' => '<p>The maximum number of <a>Deployment</a> resources in the collection to get information about. The default limit is 25. It should be an integer between 1 - 500.</p>', 'GetDomainNamesRequest$limit' => '<p>The maximum number of <a>DomainName</a> resources in the collection to get information about. The default limit is 25. It should be an integer between 1 - 500.</p>', 'GetModelsRequest$limit' => '<p>The maximum number of models in the collection to get information about. The default limit is 25. It should be an integer between 1 - 500.</p>', 'GetResourcesRequest$limit' => '<p>The maximum number of <a>Resource</a> resources in the collection to get information about. The default limit is 25. It should be an integer between 1 - 500.</p>', 'GetRestApisRequest$limit' => '<p>The maximum number of <a>RestApi</a> resources in the collection to get information about. The default limit is 25. It should be an integer between 1 - 500.</p>', 'GetUsagePlanKeysRequest$limit' => '<p>A query parameter specifying the maximum number usage plan keys returned by the GET request.</p>', 'GetUsagePlansRequest$limit' => '<p>The number of <a>UsagePlan</a> resources to be returned as the result.</p>', 'GetUsageRequest$limit' => '<p>The maximum number of results to be returned.</p>', ], ], 'PatchOperation' => [ 'base' => 'A single patch operation to apply to the specified resource. Please refer to http://tools.ietf.org/html/rfc6902#section-4 for an explanation of how each operation is used.', 'refs' => [ 'ListOfPatchOperation$member' => NULL, ], ], 'PathToMapOfMethodSnapshot' => [ 'base' => NULL, 'refs' => [ 'Deployment$apiSummary' => '<p>A summary of the <a>RestApi</a> at the date and time that the deployment resource was created.</p>', ], ], 'ProviderARN' => [ 'base' => NULL, 'refs' => [ 'ListOfARNs$member' => NULL, ], ], 'PutIntegrationRequest' => [ 'base' => '<p>Represents a put integration request.</p>', 'refs' => [], ], 'PutIntegrationResponseRequest' => [ 'base' => '<p>Represents a put integration response request.</p>', 'refs' => [], ], 'PutMethodRequest' => [ 'base' => '<p>Request to add a method to an existing <a>Resource</a> resource.</p>', 'refs' => [], ], 'PutMethodResponseRequest' => [ 'base' => '<p>Request to add a <a>MethodResponse</a> to an existing <a>Method</a> resource.</p>', 'refs' => [], ], 'PutMode' => [ 'base' => NULL, 'refs' => [ 'PutRestApiRequest$mode' => '<p>The <code>mode</code> query parameter to specify the update mode. Valid values are "merge" and "overwrite". By default, the update mode is "merge".</p>', ], ], 'PutRestApiRequest' => [ 'base' => '<p>A PUT request to update an existing API, with external API definitions specified as the request body.</p>', 'refs' => [], ], 'QuotaPeriodType' => [ 'base' => NULL, 'refs' => [ 'QuotaSettings$period' => '<p>The time period in which the limit applies. Valid values are "DAY", "WEEK" or "MONTH".</p>', ], ], 'QuotaSettings' => [ 'base' => '<p>Quotas configured for a usage plan.</p>', 'refs' => [ 'CreateUsagePlanRequest$quota' => '<p>The quota of the usage plan.</p>', 'UsagePlan$quota' => '<p>The maximum number of permitted requests per a given unit time interval.</p>', ], ], 'Resource' => [ 'base' => '<p>Represents an API resource.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-create-api.html">Create an API</a> </div>', 'refs' => [ 'ListOfResource$member' => NULL, ], ], 'Resources' => [ 'base' => '<p>Represents a collection of <a>Resource</a> resources.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-create-api.html">Create an API</a> </div>', 'refs' => [], ], 'RestApi' => [ 'base' => '<p>Represents a REST API.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-create-api.html">Create an API</a> </div>', 'refs' => [ 'ListOfRestApi$member' => NULL, ], ], 'RestApis' => [ 'base' => '<p>Contains references to your APIs and links that guide you in how to interact with your collection. A collection offers a paginated view of your APIs.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-create-api.html">Create an API</a> </div>', 'refs' => [], ], 'SdkResponse' => [ 'base' => '<p>The binary blob response to <a>GetSdk</a>, which contains the generated SDK.</p>', 'refs' => [], ], 'ServiceUnavailableException' => [ 'base' => NULL, 'refs' => [], ], 'Stage' => [ 'base' => '<p>Represents a unique identifier for a version of a deployed <a>RestApi</a> that is callable by users.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-deploy-api.html">Deploy an API</a> </div>', 'refs' => [ 'ListOfStage$member' => NULL, ], ], 'StageKey' => [ 'base' => '<p>A reference to a unique stage identified in the format <code>{restApiId}/{stage}</code>.</p>', 'refs' => [ 'ListOfStageKeys$member' => NULL, ], ], 'Stages' => [ 'base' => '<p>A list of <a>Stage</a> resources that are associated with the <a>ApiKey</a> resource.</p> <div class="seeAlso"><a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/stages.html">Deploying API in Stages</a></div>', 'refs' => [], ], 'StatusCode' => [ 'base' => '<p>The status code.</p>', 'refs' => [ 'DeleteIntegrationResponseRequest$statusCode' => '<p>Specifies a delete integration response request\'s status code.</p>', 'DeleteMethodResponseRequest$statusCode' => '<p>The status code identifier for the <a>MethodResponse</a> resource.</p>', 'GetIntegrationResponseRequest$statusCode' => '<p>Specifies a get integration response request\'s status code.</p>', 'GetMethodResponseRequest$statusCode' => '<p>The status code for the <a>MethodResponse</a> resource.</p>', 'IntegrationResponse$statusCode' => '<p>Specifies the status code that is used to map the integration response to an existing <a>MethodResponse</a>.</p>', 'MethodResponse$statusCode' => '<p>The method response\'s status code.</p>', 'PutIntegrationResponseRequest$statusCode' => '<p>Specifies the status code that is used to map the integration response to an existing <a>MethodResponse</a>.</p>', 'PutMethodResponseRequest$statusCode' => '<p>The method response\'s status code.</p>', 'UpdateIntegrationResponseRequest$statusCode' => '<p>Specifies an update integration response request\'s status code.</p>', 'UpdateMethodResponseRequest$statusCode' => '<p>The status code for the <a>MethodResponse</a> resource.</p>', ], ], 'String' => [ 'base' => NULL, 'refs' => [ 'Account$cloudwatchRoleArn' => '<p>The ARN of an Amazon CloudWatch role for the current <a>Account</a>. </p>', 'Account$apiKeyVersion' => '<p>The version of the API keys used for the account.</p>', 'ApiKey$id' => '<p>The identifier of the API Key.</p>', 'ApiKey$value' => '<p>The value of the API Key.</p>', 'ApiKey$name' => '<p>The name of the API Key.</p>', 'ApiKey$description' => '<p>The description of the API Key.</p>', 'ApiKeys$position' => NULL, 'ApiStage$apiId' => '<p>API Id of the associated API stage in a usage plan.</p>', 'ApiStage$stage' => '<p>API stage name of the associated API stage in a usage plan.</p>', 'Authorizer$id' => '<p>The identifier for the authorizer resource.</p>', 'Authorizer$name' => '<p>[Required] The name of the authorizer.</p>', 'Authorizer$authType' => '<p>Optional customer-defined field, used in Swagger imports/exports. Has no functional impact.</p>', 'Authorizer$authorizerUri' => '<p>[Required] Specifies the authorizer\'s Uniform Resource Identifier (URI). For TOKEN authorizers, this must be a well-formed Lambda function URI. The URI should be of the form <code>arn:aws:apigateway:{region}:lambda:path/{service_api}</code>. <code>Region</code> is used to determine the right endpoint. In this case, <code>path</code> is used to indicate that the remaining substring in the URI should be treated as the path to the resource, including the initial <code>/</code>. For Lambda functions, this is usually of the form /2015-03-31/functions/[FunctionARN]/invocations</p>', 'Authorizer$authorizerCredentials' => '<p>Specifies the credentials required for the authorizer, if any. Two options are available. To specify an IAM role for Amazon API Gateway to assume, use the role\'s Amazon Resource Name (ARN). To use resource-based permissions on the Lambda function, specify null.</p>', 'Authorizer$identitySource' => '<p>[Required] The source of the identity in an incoming request. For TOKEN authorizers, this value is a mapping expression with the same syntax as integration parameter mappings. The only valid source for tokens is \'header\', so the expression should match \'method.request.header.[headerName]\'. The value of the header \'[headerName]\' will be interpreted as the incoming token.</p>', 'Authorizer$identityValidationExpression' => '<p>A validation expression for the incoming identity. For TOKEN authorizers, this value should be a regular expression. The incoming token from the client is matched against this expression, and will proceed if the token matches. If the token doesn\'t match, the client receives a 401 Unauthorized response.</p>', 'Authorizers$position' => NULL, 'BadRequestException$message' => NULL, 'BasePathMapping$basePath' => '<p>The base path name that callers of the API must provide as part of the URL after the domain name.</p>', 'BasePathMapping$restApiId' => '<p>The name of the API.</p>', 'BasePathMapping$stage' => '<p>The name of the API\'s stage.</p>', 'BasePathMappings$position' => NULL, 'ClientCertificate$clientCertificateId' => '<p>The identifier of the client certificate.</p>', 'ClientCertificate$description' => '<p>The description of the client certificate.</p>', 'ClientCertificate$pemEncodedCertificate' => '<p>The PEM-encoded public key of the client certificate, which can be used to configure certificate authentication in the integration endpoint .</p>', 'ClientCertificates$position' => NULL, 'ConflictException$message' => NULL, 'CreateApiKeyRequest$name' => '<p>The name of the <a>ApiKey</a>.</p>', 'CreateApiKeyRequest$description' => '<p>The description of the <a>ApiKey</a>.</p>', 'CreateApiKeyRequest$value' => '<p>Specifies a value of the API key.</p>', 'CreateAuthorizerRequest$restApiId' => '<p>The <a>RestApi</a> identifier under which the <a>Authorizer</a> will be created.</p>', 'CreateAuthorizerRequest$name' => '<p>[Required] The name of the authorizer.</p>', 'CreateAuthorizerRequest$authType' => '<p>Optional customer-defined field, used in Swagger imports/exports. Has no functional impact.</p>', 'CreateAuthorizerRequest$authorizerUri' => '<p>[Required] Specifies the authorizer\'s Uniform Resource Identifier (URI).</p>', 'CreateAuthorizerRequest$authorizerCredentials' => '<p>Specifies the credentials required for the authorizer, if any.</p>', 'CreateAuthorizerRequest$identitySource' => '<p>[Required] The source of the identity in an incoming request.</p>', 'CreateAuthorizerRequest$identityValidationExpression' => '<p>A validation expression for the incoming identity.</p>', 'CreateBasePathMappingRequest$domainName' => '<p>The domain name of the <a>BasePathMapping</a> resource to create.</p>', 'CreateBasePathMappingRequest$basePath' => '<p>The base path name that callers of the API must provide as part of the URL after the domain name. This value must be unique for all of the mappings across a single API. Leave this blank if you do not want callers to specify a base path name after the domain name.</p>', 'CreateBasePathMappingRequest$restApiId' => '<p>The name of the API that you want to apply this mapping to.</p>', 'CreateBasePathMappingRequest$stage' => '<p>The name of the API\'s stage that you want to use for this mapping. Leave this blank if you do not want callers to explicitly specify the stage name after any base path name.</p>', 'CreateDeploymentRequest$restApiId' => '<p>The <a>RestApi</a> resource identifier for the <a>Deployment</a> resource to create.</p>', 'CreateDeploymentRequest$stageName' => '<p>The name of the <a>Stage</a> resource for the <a>Deployment</a> resource to create.</p>', 'CreateDeploymentRequest$stageDescription' => '<p>The description of the <a>Stage</a> resource for the <a>Deployment</a> resource to create.</p>', 'CreateDeploymentRequest$description' => '<p>The description for the <a>Deployment</a> resource to create.</p>', 'CreateDomainNameRequest$domainName' => '<p>The name of the <a>DomainName</a> resource.</p>', 'CreateDomainNameRequest$certificateName' => '<p>The name of the certificate.</p>', 'CreateDomainNameRequest$certificateBody' => '<p>The body of the server certificate provided by your certificate authority.</p>', 'CreateDomainNameRequest$certificatePrivateKey' => '<p>Your certificate\'s private key.</p>', 'CreateDomainNameRequest$certificateChain' => '<p>The intermediate certificates and optionally the root certificate, one after the other without any blank lines. If you include the root certificate, your certificate chain must start with intermediate certificates and end with the root certificate. Use the intermediate certificates that were provided by your certificate authority. Do not include any intermediaries that are not in the chain of trust path.</p>', 'CreateModelRequest$restApiId' => '<p>The <a>RestApi</a> identifier under which the <a>Model</a> will be created.</p>', 'CreateModelRequest$name' => '<p>The name of the model.</p>', 'CreateModelRequest$description' => '<p>The description of the model.</p>', 'CreateModelRequest$schema' => '<p>The schema for the model. For <code>application/json</code> models, this should be <a href="http://json-schema.org/documentation.html" target="_blank">JSON-schema draft v4</a> model.</p>', 'CreateModelRequest$contentType' => '<p>The content-type for the model.</p>', 'CreateResourceRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> for the resource. </p>', 'CreateResourceRequest$parentId' => '<p>The parent resource\'s identifier.</p>', 'CreateResourceRequest$pathPart' => '<p>The last path segment for this resource.</p>', 'CreateRestApiRequest$name' => '<p>The name of the <a>RestApi</a>.</p>', 'CreateRestApiRequest$description' => '<p>The description of the <a>RestApi</a>.</p>', 'CreateRestApiRequest$cloneFrom' => '<p>The ID of the <a>RestApi</a> that you want to clone from.</p>', 'CreateStageRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> resource for the <a>Stage</a> resource to create.</p>', 'CreateStageRequest$stageName' => '<p>The name for the <a>Stage</a> resource.</p>', 'CreateStageRequest$deploymentId' => '<p>The identifier of the <a>Deployment</a> resource for the <a>Stage</a> resource.</p>', 'CreateStageRequest$description' => '<p>The description of the <a>Stage</a> resource.</p>', 'CreateUsagePlanKeyRequest$usagePlanId' => '<p>The Id of the <a>UsagePlan</a> resource representing the usage plan containing the to-be-created <a>UsagePlanKey</a> resource representing a plan customer.</p>', 'CreateUsagePlanKeyRequest$keyId' => '<p>The identifier of a <a>UsagePlanKey</a> resource for a plan customer.</p>', 'CreateUsagePlanKeyRequest$keyType' => '<p>The type of a <a>UsagePlanKey</a> resource for a plan customer.</p>', 'CreateUsagePlanRequest$name' => '<p>The name of the usage plan.</p>', 'CreateUsagePlanRequest$description' => '<p>The description of the usage plan.</p>', 'DeleteApiKeyRequest$apiKey' => '<p>The identifier of the <a>ApiKey</a> resource to be deleted.</p>', 'DeleteAuthorizerRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>Authorizer</a> resource.</p>', 'DeleteAuthorizerRequest$authorizerId' => '<p>The identifier of the <a>Authorizer</a> resource.</p>', 'DeleteBasePathMappingRequest$domainName' => '<p>The domain name of the <a>BasePathMapping</a> resource to delete.</p>', 'DeleteBasePathMappingRequest$basePath' => '<p>The base path name of the <a>BasePathMapping</a> resource to delete.</p>', 'DeleteClientCertificateRequest$clientCertificateId' => '<p>The identifier of the <a>ClientCertificate</a> resource to be deleted.</p>', 'DeleteDeploymentRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> resource for the <a>Deployment</a> resource to delete.</p>', 'DeleteDeploymentRequest$deploymentId' => '<p>The identifier of the <a>Deployment</a> resource to delete.</p>', 'DeleteDomainNameRequest$domainName' => '<p>The name of the <a>DomainName</a> resource to be deleted.</p>', 'DeleteIntegrationRequest$restApiId' => '<p>Specifies a delete integration request\'s API identifier.</p>', 'DeleteIntegrationRequest$resourceId' => '<p>Specifies a delete integration request\'s resource identifier.</p>', 'DeleteIntegrationRequest$httpMethod' => '<p>Specifies a delete integration request\'s HTTP method.</p>', 'DeleteIntegrationResponseRequest$restApiId' => '<p>Specifies a delete integration response request\'s API identifier.</p>', 'DeleteIntegrationResponseRequest$resourceId' => '<p>Specifies a delete integration response request\'s resource identifier.</p>', 'DeleteIntegrationResponseRequest$httpMethod' => '<p>Specifies a delete integration response request\'s HTTP method.</p>', 'DeleteMethodRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>Method</a> resource.</p>', 'DeleteMethodRequest$resourceId' => '<p>The <a>Resource</a> identifier for the <a>Method</a> resource.</p>', 'DeleteMethodRequest$httpMethod' => '<p>The HTTP verb of the <a>Method</a> resource.</p>', 'DeleteMethodResponseRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>MethodResponse</a> resource.</p>', 'DeleteMethodResponseRequest$resourceId' => '<p>The <a>Resource</a> identifier for the <a>MethodResponse</a> resource.</p>', 'DeleteMethodResponseRequest$httpMethod' => '<p>The HTTP verb of the <a>Method</a> resource.</p>', 'DeleteModelRequest$restApiId' => '<p>The <a>RestApi</a> under which the model will be deleted.</p>', 'DeleteModelRequest$modelName' => '<p>The name of the model to delete.</p>', 'DeleteResourceRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>Resource</a> resource.</p>', 'DeleteResourceRequest$resourceId' => '<p>The identifier of the <a>Resource</a> resource.</p>', 'DeleteRestApiRequest$restApiId' => '<p>The ID of the <a>RestApi</a> you want to delete.</p>', 'DeleteStageRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> resource for the <a>Stage</a> resource to delete.</p>', 'DeleteStageRequest$stageName' => '<p>The name of the <a>Stage</a> resource to delete.</p>', 'DeleteUsagePlanKeyRequest$usagePlanId' => '<p>The Id of the <a>UsagePlan</a> resource representing the usage plan containing the to-be-deleted <a>UsagePlanKey</a> resource representing a plan customer.</p>', 'DeleteUsagePlanKeyRequest$keyId' => '<p>The Id of the <a>UsagePlanKey</a> resource to be deleted.</p>', 'DeleteUsagePlanRequest$usagePlanId' => '<p>The Id of the to-be-deleted usage plan.</p>', 'Deployment$id' => '<p>The identifier for the deployment resource.</p>', 'Deployment$description' => '<p>The description for the deployment resource.</p>', 'Deployments$position' => NULL, 'DomainName$domainName' => '<p>The name of the <a>DomainName</a> resource.</p>', 'DomainName$certificateName' => '<p>The name of the certificate.</p>', 'DomainName$distributionDomainName' => '<p>The domain name of the Amazon CloudFront distribution. For more information, see the <a href="http://aws.amazon.com/documentation/cloudfront/" target="_blank">Amazon CloudFront documentation</a>.</p>', 'DomainNames$position' => NULL, 'ExportResponse$contentType' => '<p>The content-type header value in the HTTP response. This will correspond to a valid \'accept\' type in the request.</p>', 'ExportResponse$contentDisposition' => '<p>The content-disposition header value in the HTTP response.</p>', 'FlushStageAuthorizersCacheRequest$restApiId' => '<p>The API identifier of the stage to flush.</p>', 'FlushStageAuthorizersCacheRequest$stageName' => '<p>The name of the stage to flush.</p>', 'FlushStageCacheRequest$restApiId' => '<p>The API identifier of the stage to flush its cache.</p>', 'FlushStageCacheRequest$stageName' => '<p>The name of the stage to flush its cache.</p>', 'GenerateClientCertificateRequest$description' => '<p>The description of the <a>ClientCertificate</a>.</p>', 'GetApiKeyRequest$apiKey' => '<p>The identifier of the <a>ApiKey</a> resource.</p>', 'GetApiKeysRequest$position' => '<p>The position of the current <a>ApiKeys</a> resource to get information about.</p>', 'GetApiKeysRequest$nameQuery' => '<p>The name of queried API keys.</p>', 'GetAuthorizerRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>Authorizer</a> resource.</p>', 'GetAuthorizerRequest$authorizerId' => '<p>The identifier of the <a>Authorizer</a> resource.</p>', 'GetAuthorizersRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>Authorizers</a> resource.</p>', 'GetAuthorizersRequest$position' => '<p>If not all <a>Authorizer</a> resources in the response were present, the position will specify where to start the next page of results.</p>', 'GetBasePathMappingRequest$domainName' => '<p>The domain name of the <a>BasePathMapping</a> resource to be described.</p>', 'GetBasePathMappingRequest$basePath' => '<p>The base path name that callers of the API must provide as part of the URL after the domain name. This value must be unique for all of the mappings across a single API. Leave this blank if you do not want callers to specify any base path name after the domain name.</p>', 'GetBasePathMappingsRequest$domainName' => '<p>The domain name of a <a>BasePathMapping</a> resource.</p>', 'GetBasePathMappingsRequest$position' => '<p>The position of the current <a>BasePathMapping</a> resource in the collection to get information about.</p>', 'GetClientCertificateRequest$clientCertificateId' => '<p>The identifier of the <a>ClientCertificate</a> resource to be described.</p>', 'GetClientCertificatesRequest$position' => '<p>The position of the current <a>ClientCertificate</a> resource in the collection to get information about.</p>', 'GetDeploymentRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> resource for the <a>Deployment</a> resource to get information about.</p>', 'GetDeploymentRequest$deploymentId' => '<p>The identifier of the <a>Deployment</a> resource to get information about.</p>', 'GetDeploymentsRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> resource for the collection of <a>Deployment</a> resources to get information about.</p>', 'GetDeploymentsRequest$position' => '<p>The position of the current <a>Deployment</a> resource in the collection to get information about.</p>', 'GetDomainNameRequest$domainName' => '<p>The name of the <a>DomainName</a> resource.</p>', 'GetDomainNamesRequest$position' => '<p>The position of the current domain names to get information about.</p>', 'GetExportRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> to be exported.</p>', 'GetExportRequest$stageName' => '<p>The name of the <a>Stage</a> that will be exported.</p>', 'GetExportRequest$exportType' => '<p>The type of export. Currently only \'swagger\' is supported.</p>', 'GetExportRequest$accepts' => '<p>The content-type of the export, for example <code>application/json</code>. Currently <code>application/json</code> and <code>application/yaml</code> are supported for <code>exportType</code> of <code>swagger</code>. This should be specified in the <code>Accept</code> header for direct API requests.</p>', 'GetIntegrationRequest$restApiId' => '<p>Specifies a get integration request\'s API identifier.</p>', 'GetIntegrationRequest$resourceId' => '<p>Specifies a get integration request\'s resource identifier</p>', 'GetIntegrationRequest$httpMethod' => '<p>Specifies a get integration request\'s HTTP method.</p>', 'GetIntegrationResponseRequest$restApiId' => '<p>Specifies a get integration response request\'s API identifier.</p>', 'GetIntegrationResponseRequest$resourceId' => '<p>Specifies a get integration response request\'s resource identifier.</p>', 'GetIntegrationResponseRequest$httpMethod' => '<p>Specifies a get integration response request\'s HTTP method.</p>', 'GetMethodRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>Method</a> resource.</p>', 'GetMethodRequest$resourceId' => '<p>The <a>Resource</a> identifier for the <a>Method</a> resource.</p>', 'GetMethodRequest$httpMethod' => '<p>Specifies the method request\'s HTTP method type.</p>', 'GetMethodResponseRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>MethodResponse</a> resource.</p>', 'GetMethodResponseRequest$resourceId' => '<p>The <a>Resource</a> identifier for the <a>MethodResponse</a> resource.</p>', 'GetMethodResponseRequest$httpMethod' => '<p>The HTTP verb of the <a>Method</a> resource.</p>', 'GetModelRequest$restApiId' => '<p>The <a>RestApi</a> identifier under which the <a>Model</a> exists.</p>', 'GetModelRequest$modelName' => '<p>The name of the model as an identifier.</p>', 'GetModelTemplateRequest$restApiId' => '<p>The ID of the <a>RestApi</a> under which the model exists.</p>', 'GetModelTemplateRequest$modelName' => '<p>The name of the model for which to generate a template.</p>', 'GetModelsRequest$restApiId' => '<p>The <a>RestApi</a> identifier.</p>', 'GetModelsRequest$position' => '<p>The position of the next set of results in the <a>Models</a> resource to get information about.</p>', 'GetResourceRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the resource.</p>', 'GetResourceRequest$resourceId' => '<p>The identifier for the <a>Resource</a> resource.</p>', 'GetResourcesRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the Resource.</p>', 'GetResourcesRequest$position' => '<p>The position of the next set of results in the current <a>Resources</a> resource to get information about.</p>', 'GetRestApiRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> resource.</p>', 'GetRestApisRequest$position' => '<p>The position of the current <a>RestApis</a> resource in the collection to get information about.</p>', 'GetSdkRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> that the SDK will use.</p>', 'GetSdkRequest$stageName' => '<p>The name of the <a>Stage</a> that the SDK will use.</p>', 'GetSdkRequest$sdkType' => '<p>The language for the generated SDK. Currently <code>javascript</code>, <code>android</code>, and <code>objectivec</code> (for iOS) are supported.</p>', 'GetStageRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> resource for the <a>Stage</a> resource to get information about.</p>', 'GetStageRequest$stageName' => '<p>The name of the <a>Stage</a> resource to get information about.</p>', 'GetStagesRequest$restApiId' => '<p>The stages\' API identifiers.</p>', 'GetStagesRequest$deploymentId' => '<p>The stages\' deployment identifiers.</p>', 'GetUsagePlanKeyRequest$usagePlanId' => '<p>The Id of the <a>UsagePlan</a> resource representing the usage plan containing the to-be-retrieved <a>UsagePlanKey</a> resource representing a plan customer.</p>', 'GetUsagePlanKeyRequest$keyId' => '<p>The key Id of the to-be-retrieved <a>UsagePlanKey</a> resource representing a plan customer.</p>', 'GetUsagePlanKeysRequest$usagePlanId' => '<p>The Id of the <a>UsagePlan</a> resource representing the usage plan containing the to-be-retrieved <a>UsagePlanKey</a> resource representing a plan customer.</p>', 'GetUsagePlanKeysRequest$position' => '<p>A query parameter specifying the zero-based index specifying the position of a usage plan key.</p>', 'GetUsagePlanKeysRequest$nameQuery' => '<p>A query parameter specifying the name of the to-be-returned usage plan keys.</p>', 'GetUsagePlanRequest$usagePlanId' => '<p>The identifier of the <a>UsagePlan</a> resource to be retrieved.</p>', 'GetUsagePlansRequest$position' => '<p>The zero-based array index specifying the position of the to-be-retrieved <a>UsagePlan</a> resource.</p>', 'GetUsagePlansRequest$keyId' => '<p>The identifier of the API key associated with the usage plans.</p>', 'GetUsageRequest$usagePlanId' => '<p>The Id of the usage plan associated with the usage data.</p>', 'GetUsageRequest$keyId' => '<p>The Id of the API key associated with the resultant usage data.</p>', 'GetUsageRequest$startDate' => '<p>The starting date (e.g., 2016-01-01) of the usage data.</p>', 'GetUsageRequest$endDate' => '<p>The ending date (e.g., 2016-12-31) of the usage data.</p>', 'GetUsageRequest$position' => '<p>Position</p>', 'Integration$httpMethod' => '<p>Specifies the integration\'s HTTP method type.</p>', 'Integration$uri' => '<p>Specifies the integration\'s Uniform Resource Identifier (URI). For HTTP integrations, the URI must be a fully formed, encoded HTTP(S) URL according to the <a href="https://www.ietf.org/rfc/rfc3986.txt" target="_blank">RFC-3986 specification</a>. For AWS integrations, the URI should be of the form <code>arn:aws:apigateway:{region}:{subdomain.service|service}:{path|action}/{service_api}</code>. <code>Region</code>, <code>subdomain</code> and <code>service</code> are used to determine the right endpoint. For AWS services that use the <code>Action=</code> query string parameter, <code>service_api</code> should be a valid action for the desired service. For RESTful AWS service APIs, <code>path</code> is used to indicate that the remaining substring in the URI should be treated as the path to the resource, including the initial <code>/</code>.</p>', 'Integration$credentials' => '<p>Specifies the credentials required for the integration, if any. For AWS integrations, three options are available. To specify an IAM Role for Amazon API Gateway to assume, use the role\'s Amazon Resource Name (ARN). To require that the caller\'s identity be passed through from the request, specify the string <code>arn:aws:iam::\\*:user/\\*</code>. To use resource-based permissions on supported AWS services, specify null.</p>', 'Integration$passthroughBehavior' => '<div> <p> Specifies how the method request body of an unmapped content type will be passed through the integration request to the back end without transformation. A content type is unmapped if no mapping template is defined in the integration or the content type does not match any of the mapped content types, as specified in <code>requestTemplates</code>. There are three valid values: <code>WHEN_NO_MATCH</code>, <code>WHEN_NO_TEMPLATES</code>, and <code>NEVER</code>. </p> <ul> <li> <code>WHEN_NO_MATCH</code> passes the method request body through the integration request to the back end without transformation when the method request content type does not match any content type associated with the mapping templates defined in the integration request. </li> <li> <code>WHEN_NO_TEMPLATES</code> passes the method request body through the integration request to the back end without transformation when no mapping template is defined in the integration request. If a template is defined when this option is selected, the method request of an unmapped content-type will be rejected with an HTTP <code>415 Unsupported Media Type</code> response. </li> <li> <code>NEVER</code> rejects the method request with an HTTP <code>415 Unsupported Media Type</code> response when either the method request content type does not match any content type associated with the mapping templates defined in the integration request or no mapping template is defined in the integration request. </li> </ul> </div>', 'Integration$cacheNamespace' => '<p>Specifies the integration\'s cache namespace.</p>', 'IntegrationResponse$selectionPattern' => '<p>Specifies the regular expression (regex) pattern used to choose an integration response based on the response from the back end. For example, if the success response returns nothing and the error response returns some string, you could use the <code>.+</code> regex to match error response. However, make sure that the error response does not contain any newline (<code>\\n</code>) character in such cases. If the back end is an AWS Lambda function, the AWS Lambda function error header is matched. For all other HTTP and AWS back ends, the HTTP status code is matched.</p>', 'LimitExceededException$retryAfterSeconds' => NULL, 'LimitExceededException$message' => NULL, 'ListOfString$member' => NULL, 'MapOfHeaderValues$key' => NULL, 'MapOfHeaderValues$value' => NULL, 'MapOfIntegrationResponse$key' => NULL, 'MapOfKeyUsages$key' => NULL, 'MapOfMethod$key' => NULL, 'MapOfMethodResponse$key' => NULL, 'MapOfMethodSettings$key' => NULL, 'MapOfMethodSnapshot$key' => NULL, 'MapOfStringToBoolean$key' => NULL, 'MapOfStringToList$key' => NULL, 'MapOfStringToString$key' => NULL, 'MapOfStringToString$value' => NULL, 'Method$httpMethod' => '<p>The method\'s HTTP verb.</p>', 'Method$authorizationType' => '<p>The method\'s authorization type.</p>', 'Method$authorizerId' => '<p>The identifier of an <a>Authorizer</a> to use on this method. The <code>authorizationType</code> must be <code>CUSTOM</code>.</p>', 'MethodSetting$loggingLevel' => '<p>Specifies the logging level for this method, which effects the log entries pushed to Amazon CloudWatch Logs. The PATCH path for this setting is <code>/{method_setting_key}/logging/loglevel</code>, and the available levels are <code>OFF</code>, <code>ERROR</code>, and <code>INFO</code>.</p>', 'MethodSnapshot$authorizationType' => '<p>Specifies the type of authorization used for the method.</p>', 'Model$id' => '<p>The identifier for the model resource.</p>', 'Model$name' => '<p>The name of the model.</p>', 'Model$description' => '<p>The description of the model.</p>', 'Model$schema' => '<p>The schema for the model. For <code>application/json</code> models, this should be <a href="http://json-schema.org/documentation.html" target="_blank">JSON-schema draft v4</a> model. Do not include "\\*/" characters in the description of any properties because such "\\*/" characters may be interpreted as the closing marker for comments in some languages, such as Java or JavaScript, causing the installation of your API\'s SDK generated by API Gateway to fail.</p>', 'Model$contentType' => '<p>The content-type for the model.</p>', 'Models$position' => NULL, 'NotFoundException$message' => NULL, 'PatchOperation$path' => '<p>The <code>op</code> operation\'s target, as identified by a <a href="https://tools.ietf.org/html/draft-ietf-appsawg-json-pointer-08">JSON Pointer</a> value that references a location within the targeted resource. For example, if the target resource has an updateable property of <code>{"name":"value"}</code>, the path for this property is <code>/name</code>. If the <code>name</code> property value is a JSON object (e.g., <code>{"name": {"child/name": "child-value"}}</code>), the path for the <code>child/name</code> property will be <code>/name/child~1name</code>. Any slash ("/") character appearing in path names must be escaped with "~1", as shown in the example above. Each <code>op</code> operation can have only one <code>path</code> associated with it.</p>', 'PatchOperation$value' => '<p>The new target value of the update operation. </p>', 'PatchOperation$from' => '<p> Not supported.</p>', 'PathToMapOfMethodSnapshot$key' => NULL, 'PutIntegrationRequest$restApiId' => '<p>Specifies a put integration request\'s API identifier.</p>', 'PutIntegrationRequest$resourceId' => '<p>Specifies a put integration request\'s resource ID.</p>', 'PutIntegrationRequest$httpMethod' => '<p>Specifies a put integration request\'s HTTP method.</p>', 'PutIntegrationRequest$integrationHttpMethod' => '<p>Specifies a put integration HTTP method. When the integration type is HTTP or AWS, this field is required.</p>', 'PutIntegrationRequest$uri' => '<p>Specifies a put integration input\'s Uniform Resource Identifier (URI). When the integration type is HTTP or AWS, this field is required. For integration with Lambda as an AWS service proxy, this value is of the \'arn:aws:apigateway:&lt;region&gt;:lambda:path/2015-03-31/functions/&lt;functionArn&gt;/invocations\' format.</p>', 'PutIntegrationRequest$credentials' => '<p>Specifies whether credentials are required for a put integration.</p>', 'PutIntegrationRequest$passthroughBehavior' => '<p>Specifies the pass-through behavior for incoming requests based on the Content-Type header in the request, and the available mapping templates specified as the <code>requestTemplates</code> property on the Integration resource. There are three valid values: <code>WHEN_NO_MATCH</code>, <code>WHEN_NO_TEMPLATES</code>, and <code>NEVER</code>. </p> <ul> <li><p><code>WHEN_NO_MATCH</code> passes the request body for unmapped content types through to the integration back end without transformation.</p></li> <li><p><code>NEVER</code> rejects unmapped content types with an HTTP 415 \'Unsupported Media Type\' response.</p></li> <li><p><code>WHEN_NO_TEMPLATES</code> allows pass-through when the integration has NO content types mapped to templates. However if there is at least one content type defined, unmapped content types will be rejected with the same 415 response.</p></li> </ul>', 'PutIntegrationRequest$cacheNamespace' => '<p>Specifies a put integration input\'s cache namespace.</p>', 'PutIntegrationResponseRequest$restApiId' => '<p>Specifies a put integration response request\'s API identifier.</p>', 'PutIntegrationResponseRequest$resourceId' => '<p>Specifies a put integration response request\'s resource identifier.</p>', 'PutIntegrationResponseRequest$httpMethod' => '<p>Specifies a put integration response request\'s HTTP method.</p>', 'PutIntegrationResponseRequest$selectionPattern' => '<p>Specifies the selection pattern of a put integration response.</p>', 'PutMethodRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the new <a>Method</a> resource.</p>', 'PutMethodRequest$resourceId' => '<p>The <a>Resource</a> identifier for the new <a>Method</a> resource.</p>', 'PutMethodRequest$httpMethod' => '<p>Specifies the method request\'s HTTP method type.</p>', 'PutMethodRequest$authorizationType' => '<p>Specifies the type of authorization used for the method.</p>', 'PutMethodRequest$authorizerId' => '<p>Specifies the identifier of an <a>Authorizer</a> to use on this Method, if the type is CUSTOM.</p>', 'PutMethodResponseRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>Method</a> resource.</p>', 'PutMethodResponseRequest$resourceId' => '<p>The <a>Resource</a> identifier for the <a>Method</a> resource.</p>', 'PutMethodResponseRequest$httpMethod' => '<p>The HTTP verb of the <a>Method</a> resource.</p>', 'PutRestApiRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> to be updated. </p>', 'Resource$id' => '<p>The resource\'s identifier.</p>', 'Resource$parentId' => '<p>The parent resource\'s identifier.</p>', 'Resource$pathPart' => '<p>The last path segment for this resource.</p>', 'Resource$path' => '<p>The full path for this resource.</p>', 'Resources$position' => NULL, 'RestApi$id' => '<p>The API\'s identifier. This identifier is unique across all of your APIs in Amazon API Gateway.</p>', 'RestApi$name' => '<p>The API\'s name.</p>', 'RestApi$description' => '<p>The API\'s description.</p>', 'RestApis$position' => NULL, 'SdkResponse$contentType' => '<p>The content-type header value in the HTTP response.</p>', 'SdkResponse$contentDisposition' => '<p>The content-disposition header value in the HTTP response.</p>', 'ServiceUnavailableException$retryAfterSeconds' => NULL, 'ServiceUnavailableException$message' => NULL, 'Stage$deploymentId' => '<p>The identifier of the <a>Deployment</a> that the stage points to.</p>', 'Stage$clientCertificateId' => '<p>The identifier of a client certificate for an API stage.</p>', 'Stage$stageName' => '<p>The name of the stage is the first path segment in the Uniform Resource Identifier (URI) of a call to Amazon API Gateway.</p>', 'Stage$description' => '<p>The stage\'s description.</p>', 'StageKey$restApiId' => '<p>A list of <a>Stage</a> resources that are associated with the <a>ApiKey</a> resource.</p>', 'StageKey$stageName' => '<p>The stage name in the <a>RestApi</a> that the stage key references.</p>', 'Template$value' => '<p>The Apache <a href="http://velocity.apache.org/engine/devel/vtl-reference-guide.html" target="_blank">Velocity Template Language (VTL)</a> template content used for the template resource.</p>', 'TestInvokeAuthorizerRequest$restApiId' => '<p>Specifies a test invoke authorizer request\'s <a>RestApi</a> identifier.</p>', 'TestInvokeAuthorizerRequest$authorizerId' => '<p>Specifies a test invoke authorizer request\'s <a>Authorizer</a> ID.</p>', 'TestInvokeAuthorizerRequest$pathWithQueryString' => '<p>[Optional] The URI path, including query string, of the simulated invocation request. Use this to specify path parameters and query string parameters.</p>', 'TestInvokeAuthorizerRequest$body' => '<p>[Optional] The simulated request body of an incoming invocation request.</p>', 'TestInvokeAuthorizerResponse$log' => '<p>The Amazon API Gateway execution log for the test authorizer request.</p>', 'TestInvokeAuthorizerResponse$principalId' => '<p>The principal identity returned by the <a>Authorizer</a></p>', 'TestInvokeAuthorizerResponse$policy' => '<p>The JSON policy document returned by the <a>Authorizer</a></p>', 'TestInvokeMethodRequest$restApiId' => '<p>Specifies a test invoke method request\'s API identifier.</p>', 'TestInvokeMethodRequest$resourceId' => '<p>Specifies a test invoke method request\'s resource ID.</p>', 'TestInvokeMethodRequest$httpMethod' => '<p>Specifies a test invoke method request\'s HTTP method.</p>', 'TestInvokeMethodRequest$pathWithQueryString' => '<p>The URI path, including query string, of the simulated invocation request. Use this to specify path parameters and query string parameters.</p>', 'TestInvokeMethodRequest$body' => '<p>The simulated request body of an incoming invocation request.</p>', 'TestInvokeMethodRequest$clientCertificateId' => '<p>A <a>ClientCertificate</a> identifier to use in the test invocation. API Gateway will use the certificate when making the HTTPS request to the defined back-end endpoint.</p>', 'TestInvokeMethodResponse$body' => '<p>The body of the HTTP response.</p>', 'TestInvokeMethodResponse$log' => '<p>The Amazon API Gateway execution log for the test invoke request.</p>', 'TooManyRequestsException$retryAfterSeconds' => NULL, 'TooManyRequestsException$message' => NULL, 'UnauthorizedException$message' => NULL, 'UpdateApiKeyRequest$apiKey' => '<p>The identifier of the <a>ApiKey</a> resource to be updated.</p>', 'UpdateAuthorizerRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>Authorizer</a> resource.</p>', 'UpdateAuthorizerRequest$authorizerId' => '<p>The identifier of the <a>Authorizer</a> resource.</p>', 'UpdateBasePathMappingRequest$domainName' => '<p>The domain name of the <a>BasePathMapping</a> resource to change.</p>', 'UpdateBasePathMappingRequest$basePath' => '<p>The base path of the <a>BasePathMapping</a> resource to change.</p>', 'UpdateClientCertificateRequest$clientCertificateId' => '<p>The identifier of the <a>ClientCertificate</a> resource to be updated.</p>', 'UpdateDeploymentRequest$restApiId' => '<p>The replacement identifier of the <a>RestApi</a> resource for the <a>Deployment</a> resource to change information about.</p>', 'UpdateDeploymentRequest$deploymentId' => '<p>The replacement identifier for the <a>Deployment</a> resource to change information about.</p>', 'UpdateDomainNameRequest$domainName' => '<p>The name of the <a>DomainName</a> resource to be changed.</p>', 'UpdateIntegrationRequest$restApiId' => '<p>Represents an update integration request\'s API identifier.</p>', 'UpdateIntegrationRequest$resourceId' => '<p>Represents an update integration request\'s resource identifier.</p>', 'UpdateIntegrationRequest$httpMethod' => '<p>Represents an update integration request\'s HTTP method.</p>', 'UpdateIntegrationResponseRequest$restApiId' => '<p>Specifies an update integration response request\'s API identifier.</p>', 'UpdateIntegrationResponseRequest$resourceId' => '<p>Specifies an update integration response request\'s resource identifier.</p>', 'UpdateIntegrationResponseRequest$httpMethod' => '<p>Specifies an update integration response request\'s HTTP method.</p>', 'UpdateMethodRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>Method</a> resource.</p>', 'UpdateMethodRequest$resourceId' => '<p>The <a>Resource</a> identifier for the <a>Method</a> resource.</p>', 'UpdateMethodRequest$httpMethod' => '<p>The HTTP verb of the <a>Method</a> resource.</p>', 'UpdateMethodResponseRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>MethodResponse</a> resource.</p>', 'UpdateMethodResponseRequest$resourceId' => '<p>The <a>Resource</a> identifier for the <a>MethodResponse</a> resource.</p>', 'UpdateMethodResponseRequest$httpMethod' => '<p>The HTTP verb of the <a>Method</a> resource.</p>', 'UpdateModelRequest$restApiId' => '<p>The <a>RestApi</a> identifier under which the model exists.</p>', 'UpdateModelRequest$modelName' => '<p>The name of the model to update.</p>', 'UpdateResourceRequest$restApiId' => '<p>The <a>RestApi</a> identifier for the <a>Resource</a> resource.</p>', 'UpdateResourceRequest$resourceId' => '<p>The identifier of the <a>Resource</a> resource.</p>', 'UpdateRestApiRequest$restApiId' => '<p>The ID of the <a>RestApi</a> you want to update.</p>', 'UpdateStageRequest$restApiId' => '<p>The identifier of the <a>RestApi</a> resource for the <a>Stage</a> resource to change information about.</p>', 'UpdateStageRequest$stageName' => '<p>The name of the <a>Stage</a> resource to change information about.</p>', 'UpdateUsagePlanRequest$usagePlanId' => '<p>The Id of the to-be-updated usage plan.</p>', 'UpdateUsageRequest$usagePlanId' => '<p>The Id of the usage plan associated with the usage data.</p>', 'UpdateUsageRequest$keyId' => '<p>The identifier of the API key associated with the usage plan in which a temporary extension is granted to the remaining quota.</p>', 'Usage$usagePlanId' => '<p>The plan Id associated with this usage data.</p>', 'Usage$startDate' => '<p>The starting date of the usage data.</p>', 'Usage$endDate' => '<p>The ending date of the usage data.</p>', 'Usage$position' => NULL, 'UsagePlan$id' => '<p>The identifier of a <a>UsagePlan</a> resource.</p>', 'UsagePlan$name' => '<p>The name of a usage plan.</p>', 'UsagePlan$description' => '<p>The description of a usage plan.</p>', 'UsagePlanKey$id' => '<p>The Id of a usage plan key.</p>', 'UsagePlanKey$type' => '<p>The type of a usage plan key. Currently, the valid key type is <code>API_KEY</code>.</p>', 'UsagePlanKey$value' => '<p>The value of a usage plan key.</p>', 'UsagePlanKey$name' => '<p>The name of a usage plan key.</p>', 'UsagePlanKeys$position' => NULL, 'UsagePlans$position' => NULL, ], ], 'Template' => [ 'base' => '<p>Represents a mapping template used to transform a payload.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/models-mappings.html#models-mappings-mappings">Mapping Templates</a> </div>', 'refs' => [], ], 'TestInvokeAuthorizerRequest' => [ 'base' => '<p>Make a request to simulate the execution of an <a>Authorizer</a>.</p>', 'refs' => [], ], 'TestInvokeAuthorizerResponse' => [ 'base' => '<p>Represents the response of the test invoke request for a custom <a>Authorizer</a></p>', 'refs' => [], ], 'TestInvokeMethodRequest' => [ 'base' => '<p>Make a request to simulate the execution of a <a>Method</a>.</p>', 'refs' => [], ], 'TestInvokeMethodResponse' => [ 'base' => '<p>Represents the response of the test invoke request in the HTTP method.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/how-to-test-method.html#how-to-test-method-console">Test API using the API Gateway console</a> </div>', 'refs' => [], ], 'ThrottleSettings' => [ 'base' => '<p> The API request rate limits.</p>', 'refs' => [ 'Account$throttleSettings' => '<p>Specifies the API request limits configured for the current <a>Account</a>.</p>', 'CreateUsagePlanRequest$throttle' => '<p>The throttling limits of the usage plan.</p>', 'UsagePlan$throttle' => '<p>The request throttle limits of a usage plan.</p>', ], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'ApiKey$createdDate' => '<p>The date when the API Key was created, in <a href="http://www.iso.org/iso/home/standards/iso8601.htm" target="_blank">ISO 8601 format</a>.</p>', 'ApiKey$lastUpdatedDate' => '<p>When the API Key was last updated, in ISO 8601 format.</p>', 'ClientCertificate$createdDate' => '<p>The date when the client certificate was created, in <a href="http://www.iso.org/iso/home/standards/iso8601.htm" target="_blank">ISO 8601 format</a>.</p>', 'ClientCertificate$expirationDate' => '<p>The date when the client certificate will expire, in <a href="http://www.iso.org/iso/home/standards/iso8601.htm" target="_blank">ISO 8601 format</a>.</p>', 'Deployment$createdDate' => '<p>The date and time that the deployment resource was created.</p>', 'DomainName$certificateUploadDate' => '<p>The date when the certificate was uploaded, in <a href="http://www.iso.org/iso/home/standards/iso8601.htm" target="_blank">ISO 8601 format</a>.</p>', 'RestApi$createdDate' => '<p>The date when the API was created, in <a href="http://www.iso.org/iso/home/standards/iso8601.htm" target="_blank">ISO 8601 format</a>.</p>', 'Stage$createdDate' => '<p>The date and time that the stage was created, in <a href="http://www.iso.org/iso/home/standards/iso8601.htm" target="_blank">ISO 8601 format</a>.</p>', 'Stage$lastUpdatedDate' => '<p>The date and time that information about the stage was last updated, in <a href="http://www.iso.org/iso/home/standards/iso8601.htm" target="_blank">ISO 8601 format</a>.</p>', ], ], 'TooManyRequestsException' => [ 'base' => NULL, 'refs' => [], ], 'UnauthorizedCacheControlHeaderStrategy' => [ 'base' => NULL, 'refs' => [ 'MethodSetting$unauthorizedCacheControlHeaderStrategy' => '<p>Specifies how to handle unauthorized requests for cache invalidation. The PATCH path for this setting is <code>/{method_setting_key}/caching/unauthorizedCacheControlHeaderStrategy</code>, and the available values are <code>FAIL_WITH_403</code>, <code>SUCCEED_WITH_RESPONSE_HEADER</code>, <code>SUCCEED_WITHOUT_RESPONSE_HEADER</code>.</p>', ], ], 'UnauthorizedException' => [ 'base' => NULL, 'refs' => [], ], 'UpdateAccountRequest' => [ 'base' => '<p>Requests Amazon API Gateway to change information about the current <a>Account</a> resource.</p>', 'refs' => [], ], 'UpdateApiKeyRequest' => [ 'base' => '<p>A request to change information about an <a>ApiKey</a> resource.</p>', 'refs' => [], ], 'UpdateAuthorizerRequest' => [ 'base' => '<p>Request to update an existing <a>Authorizer</a> resource.</p>', 'refs' => [], ], 'UpdateBasePathMappingRequest' => [ 'base' => '<p>A request to change information about the <a>BasePathMapping</a> resource.</p>', 'refs' => [], ], 'UpdateClientCertificateRequest' => [ 'base' => '<p>A request to change information about an <a>ClientCertificate</a> resource.</p>', 'refs' => [], ], 'UpdateDeploymentRequest' => [ 'base' => '<p>Requests Amazon API Gateway to change information about a <a>Deployment</a> resource.</p>', 'refs' => [], ], 'UpdateDomainNameRequest' => [ 'base' => '<p>A request to change information about the <a>DomainName</a> resource.</p>', 'refs' => [], ], 'UpdateIntegrationRequest' => [ 'base' => '<p>Represents an update integration request.</p>', 'refs' => [], ], 'UpdateIntegrationResponseRequest' => [ 'base' => '<p>Represents an update integration response request.</p>', 'refs' => [], ], 'UpdateMethodRequest' => [ 'base' => '<p>Request to update an existing <a>Method</a> resource.</p>', 'refs' => [], ], 'UpdateMethodResponseRequest' => [ 'base' => '<p>A request to update an existing <a>MethodResponse</a> resource.</p>', 'refs' => [], ], 'UpdateModelRequest' => [ 'base' => '<p>Request to update an existing model in an existing <a>RestApi</a> resource.</p>', 'refs' => [], ], 'UpdateResourceRequest' => [ 'base' => '<p>Request to change information about a <a>Resource</a> resource.</p>', 'refs' => [], ], 'UpdateRestApiRequest' => [ 'base' => '<p>Request to update an existing <a>RestApi</a> resource in your collection.</p>', 'refs' => [], ], 'UpdateStageRequest' => [ 'base' => '<p>Requests Amazon API Gateway to change information about a <a>Stage</a> resource.</p>', 'refs' => [], ], 'UpdateUsagePlanRequest' => [ 'base' => '<p>The PATCH request to update a usage plan of a given plan Id.</p>', 'refs' => [], ], 'UpdateUsageRequest' => [ 'base' => '<p>The PATCH request to grant a temporary extension to the reamining quota of a usage plan associated with a specified API key.</p>', 'refs' => [], ], 'Usage' => [ 'base' => '<p>Represents the usage data of a usage plan.</p> <div class="remarks"/> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-api-usage-plans.html">Create and Use Usage Plans</a>, <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-create-usage-plans-with-console.html#api-gateway-usage-plan-manage-usage">Manage Usage in a Usage Plan</a> </div>', 'refs' => [], ], 'UsagePlan' => [ 'base' => '<p>Represents a usage plan than can specify who can assess associated API stages with specified request limits and quotas.</p> <div class="remarks"> <p>In a usage plan, you associate an API by specifying the API\'s Id and a stage name of the specified API. You add plan customers by adding API keys to the plan. </p> </div> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-api-usage-plans.html">Create and Use Usage Plans</a> </div>', 'refs' => [ 'ListOfUsagePlan$member' => NULL, ], ], 'UsagePlanKey' => [ 'base' => '<p>Represents a usage plan key to identify a plan customer.</p> <div class="remarks"> <p>To associate an API stage with a selected API key in a usage plan, you must create a UsagePlanKey resource to represent the selected <a>ApiKey</a>.</p> </div>" <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-api-usage-plans.html">Create and Use Usage Plans</a> </div>', 'refs' => [ 'ListOfUsagePlanKey$member' => NULL, ], ], 'UsagePlanKeys' => [ 'base' => '<p>Represents the collection of usage plan keys added to usage plans for the associated API keys and, possibly, other types of keys.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-api-usage-plans.html">Create and Use Usage Plans</a> </div>', 'refs' => [], ], 'UsagePlans' => [ 'base' => '<p>Represents a collection of usage plans for an AWS account.</p> <div class="seeAlso"> <a href="http://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-api-usage-plans.html">Create and Use Usage Plans</a> </div>', 'refs' => [], ], 'op' => [ 'base' => NULL, 'refs' => [ 'PatchOperation$op' => '<p>An update operation to be performed with this PATCH request. The valid value can be "add", "remove", or "replace". Not all valid operations are supported for a given resource. Support of the operations depends on specific operational contexts. Attempts to apply an unsupported operation on a resource will return an error message.</p>', ], ], ],];
